IDCategoryTask TypePrioritySeveritySummaryStatusProgress  desc
 82 PackagesBug ReportVery LowCritical [glibc] ld warning: /usr/lib32/ld-linux.so.2: corrupt G ...Closed
100%
Task Description

All software builds are producing this warning. Some builds are failing because of the error return on linking. I’m also seeing failures on LD_PRELOADs.

/bin/ld: warning: /usr/lib/ld-linux.so.2: corrupt GNU_PROPERTY_TYPE (5) size: 0

Easy to reproduce. Just build this program:

# test.c
# Compiled with 'gcc test.c'
int main() {
    return 0;
}

This was reported at bugs.archlinux.org (reference https://bugs.archlinux.org/task/63015) where it was closed and considered fixed if built using the –enable-cet flag. I built glibc with the –enable-cet flag, but am still seeing the failures, so not fixed.

 19 PackagesBug ReportVery LowHigh [wine-staging] PKGBUILD does not include 'provides=("wi ...Closed
100%
Task Description

The current build of wine-staging (2.21) in the community repository has no ‘provides’ tag for wine, even though wine-staging includes wine-2.21 in its entirety. This causes massive conflicts when installing wine-staging and any package with a wine dependency. Literally every file in the wine package conflicts with the identical file found in wine-staging. Personally, I’ve had to provide my users with a fixed version of wine-staging via my own repository positioned before the community repository setting in pacman.conf in order to avoid this conflict - something I’d rather not do.

 25 PackagesBug ReportVery LowHigh [libquicktime] libquicktime needs a new build against t ...Closed
100%
Task Description

The latest release of libquicktime was built against libx264-148. The latest system update updates libx264 to v152, which is incompatible with the latest libquicktime build. This is blocking system updates unless libquicktime and dvgrab are uninstalled before the system update - libquicktime then needs to be rebuilt before re-installation.

 49 PackagesBug ReportVery LowHigh ffmpeg update failures in release and testing Closed
100%
Task Description

When I have done a pacman -Syu recently, it offers to update libx264 with x264:

:: Replace libx264 with testing/x264? [Y/n] 
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing libx264 breaks dependency 'libx264.so=152-32' required by ffmpeg

As can be seen there, it fails because a dependency is not met.

This is reportedly also a problem on the release branches.

Using pacman’s query functionality I can see that x264 claims to provide libx264.so=155-32 rather than 152-32 i.e. x264 is too new for the current version of ffmpeg.

I consider this a high priority defect because ffmpeg is used by rather a lot of a/v playback and transcoding software.

Steps to reproduce

$ pacman -Syu
Workaround

Press n and enter when it offers to upgrade libx264. Ensure you’re not using multiple -ys on your pacman invocation.

Suggested fix

Provide an updated ffmpeg.

 37 Release EngineeringBug ReportMediumMedium ISO 2018.05.01 is not bootable with qemu or Virtualbox Closed
100%
Task Description

I tried the i686 image. Booting leads to kernel panic.
Adding an explicit init=/lib/systemd/systemd parameter also panics.

qemu-system-i386 -cdrom archlinux-2018.05.01-i686.iso

It also panics in Virtualbox.

The same ISO works with libvirtd though.

 48 Packages: TestingBug ReportVery LowMedium Testing repo missing a new version of python-six Closed
100%
Task Description

I’ve become aware that python-six doesn’t identify that it depends specifically on python3.6 (it claims in the text that it’s for python 3 as well as python 2, which I don’t believe can be true; it only puts python files in /usr/lib/python3.6).

It has however allowed python 3.7 into the testing repo while no new version of python-six is available, and this version of python3 can no longer find a version of six when you import it.

As far as I know this is not an issue for anyone strictly on the release repos yet, and still won’t be an issue for anyone not using python-six either directly or indirectly.

Steps to reproduce

(upgrade at least python from the testing repos)
# python
# import six
> ...
> ModuleNotFoundError: No module named ‘six’

Steps to fix

A new version of python-six that supplies its files to python3.7/site-packages should be built and uploaded to the testing repos, and it should probably identify its dependent versions better.

I note arch64 has a newer python-six that supplies its libs to python3.7 just fine, although it also doesn’t identify its versions to my liking.

 56 PackagesBug ReportVery LowMedium libreoffice-fresh 6.1.3-1.0 in [extra] is not build aga ...Closed
100%
Task Description

libreoffice-fresh seems not to be build against packages in [extra], but rather against packages in [*testing].

Running libreoffice produces the following error message:

/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: liborcus-0.14.so.0: cannot open shared object file: No such file or directory

extra/liborcus is 0.13.4-3.1
testing/liborcus is 0.14.1-1.0

 2 Packages: TestingBug ReportMediumLow this is a test-issue for [lapack] (not a real bug) Closed
100%
Task Description

human: ignore this
build master: do not ignore this

 4 Packages: StableBug ReportVery LowLow [virtualbox-guest-utils] 5.2.0 version broken Closed
100%
Task Description

When starting a virtual machine you get:

VBoxClient: VBoxClient (seamless): failed to start. Stage: Setting guest IRQ filter mask Error: VERR_INTERNAL_ERROR

The solution is to use the guest ISO 5.2.1 for now till the package is upgraded.

 5 Packages: Build-listBug ReportVery LowLow [sbcl] fails to compile Closed
100%
Task Description

The best, I can get is trying to compile the git HEAD with clisp (instead of sbcl). However, this still errors with:

entering make-target-2.sh
doing warm init - compilation phase
This is SBCL 1.4.0.239-c092dcfe9, an implementation of ANSI Common Lisp.
More information about SBCL is available at .

SBCL is free software, provided as is, with absolutely no warranty.
It is mostly in the public domain; some portions are provided under
BSD-style licenses. See the CREDITS and COPYING files in the
distribution for more information.
fatal error encountered in SBCL pid 914(tid 0xf7cb9700):
unexpected return from initial thread in main()

Welcome to LDB, a low-level debugger for the Lisp runtime environment.
ldb>

 6 Packages: StableBug ReportMediumLow [libreoffice-still] 5.3.7-4 crashes when opening a docu ...Closed
100%
Task Description

Nov 07 18:19:32 arch32-testing systemd[1]: Started Process Core Dump (PID 643/UID 0).
Nov 07 18:19:35 arch32-testing systemd-coredump[644]: Process 628 (soffice.bin) of user 0 dumped core.

                                                    

Stack trace of thread 628:
#0 0x00000000a5acab05 n/a (libjvm.so)
#1 0x00000000a5acd184 n/a (libjvm.so)
#2 0x00000000a5ad7ec3 n/a (libjvm.so)
#3 0x00000000a5c23f01 n/a (libjvm.so)
#4 0x00000000a58bd391 JNI_CreateJavaVM (libjvm.so)
#5 0x00000000b2251b5a n/a (libjvmfwklo.so)
#6 0x00000000b2262113 _Z11jfw_startVMPK8JavaInfoP12JavaVMOptionlPP7JavaVM_PP7JNIEnv_ (libjvmfwklo.so)
#7 0x00000000a631d94e n/a (libjavavmlo.so)
#8 0x00000000a6330519 n/a (libjavaloaderlo.so)
#9 0x00000000a6331cff n/a (libjavaloaderlo.so)
#10 0x00000000b734ec02 n/a (libuno_cppuhelpergcc3.so.3)
#11 0x00000000b734e8a0 n/a (libuno_cppuhelpergcc3.so.3)
#12 0x00000000b734e995 n/a (libuno_cppuhelpergcc3.so.3)
#13 0x00000000b734a1e7 n/a (libuno_cppuhelpergcc3.so.3)
#14 0x00000000acb27570 n/a (libfwklo.so)
#15 0x00000000acb25d51 n/a (libfwklo.so)
#16 0x00000000acb272f5 n/a (libfwklo.so)
#17 0x00000000acb29e23 n/a (libfwklo.so)
#18 0x00000000acbd4a70 n/a (libfwklo.so)
#19 0x00000000acc6dddb n/a (libfwklo.so)
#20 0x00000000b4c9f8cd _ZN4Menu8ActivateEv (libvcllo.so)
#21 0x00000000b4c9f9db _ZNK4Menu23HandleMenuActivateEventEPS_ (libvcllo.so)
#22 0x00000000af0d5275 n/a (libvclplug_gtk3lo.so)
#23 0x00000000af0d5285 n/a (libvclplug_gtk3lo.so)
#24 0x00000000af0d5419 n/a (libvclplug_gtk3lo.so)
#25 0x00000000b4ca2bef n/a (libvcllo.so)
#26 0x00000000b4cdfd84 _ZN12SystemWindow10SetMenuBarEP7MenuBar (libvcllo.so)
#27 0x00000000acb7cbec n/a (libfwklo.so)
#28 0x00000000b6aa62a8 n/a (libsfxlo.so)
#29 0x00000000b6aa9ea0 n/a (libsfxlo.so)
#30 0x00000000b6d4a2bd n/a (libsfxlo.so)
#31 0x00000000b6d4bdb0 _ZN17SfxBaseController11attachFrameERKN3com3sun4star3uno9ReferenceINS
#32 0x00000000b6d36f6a n/a (libsfxlo.so)
#33 0x00000000acba5754 n/a (libfwklo.so)
#34 0x00000000acba646c n/a (libfwklo.so)
#35 0x00000000acb2e5db n/a (libfwklo.so)
#36 0x00000000acb2f21b n/a (libfwklo.so)
#37 0x00000000b6b04ab9 n/a (libsfxlo.so)
#38 0x00000000b4d1dc4c n/a (libvcllo.so)
#39 0x00000000b5007e5e _ZN17SalGenericDisplay21DispatchInternalEventEv (libvcllo.so)
#40 0x00000000af0933f7 n/a (libvclplug_gtk3lo.so)
#41 0x00000000af09348d n/a (libvclplug_gtk3lo.so)
#42 0x00000000b133faac g_main_context_dispatch (libglib-2.0.so.0)
#43 0x00000000b1341a7a n/a (libglib-2.0.so.0)
#44 0x00000000b1341ac6 g_main_context_iteration (libglib-2.0.so.0)
#45 0x00000000af092969 n/a (libvclplug_gtk3lo.so)
#46 0x00000000b4f4a8d3 _ZN11Application5YieldEv (libvcllo.so)
#47 0x00000000b4f4c9fe _ZN11Application7ExecuteEv (libvcllo.so)
#48 0x00000000b7df4156 n/a (libsofficeapp.so)
#49 0x00000000b4f51aa9 n/a (libvcllo.so)
#50 0x00000000b4f51bef _Z6SVMainv (libvcllo.so)
#51 0x00000000b7e23706 soffice_main (libsofficeapp.so)
#52 0x000000000048e5cf n/a (soffice.bin)
#53 0x00000000b7be1703 __libc_start_main (libc.so.6)
#54 0x000000000048e618 n/a (soffice.bin)

Currently disabling Java Support in the settings helps.

 7 Packages: Build-listBug ReportMediumLow [gnu-efi-libs] some apps fail building Closed
100%
Task Description

Not all EFI demo applications can be built.

See also https://sourceforge.net/p/gnu-efi/support-requests/6/

Currently building and deploying library only.

 8 Packages: Build-listBug ReportMediumLow [skia-sharp] [skia-sharp58] build fails Closed
100%
Task Description

/startdir/PKGBUILD: line 63: bin/gn: No such file or directory

strange about this:
- works on x86_64
- bin/gn is there and executable

 9 Packages: Build-listBug ReportMediumLow [ffmpeg] [ffmpeg2.8] libtheora not found Closed
100%
Task Description

==> Starting build()...
ERROR: libtheora not found

... but it’s there:
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so.0.3.10
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so.0
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so

strange ...

 10 Packages: Build-listBug ReportMediumLow [deepin-terminal] source tarball contains pre-compiled  ...Closed
100%
Task Description
tar zxvf ../deepin-terminal-2.7.6.tar.gz
file ./deepin-terminal-2.7.6/3rdparty/zssh-1.5c/fake_readline/libreadline.a
./deepin-terminal-2.7.6/3rdparty/zssh-1.5c/fake_readline/libreadline.a: current ar archive
ar xvf ./deepin-terminal-2.7.6/3rdparty/zssh-1.5c/fake_readline/libreadline.a
file readline.o 
readline.o: ELF 64-bit LSB relocatable, x86-64, version 1 (SYSV), with debug_info, not stripped
This is hardly a SOURCE tarball, when it contains 64-bit binaries.
 11 Packages: TestingBug ReportMediumLow [libmongoc] tries to overwrite /usr/lib/libsnappy.so Closed
100%
Task Description

[quote]
pacman -S libmongoc
resolving dependencies...
looking for conflicting packages...

Packages (2) libbson-1.8.1-1 libmongoc-1.8.1-1

Total Installed Size: 1.23 MiB

:: Proceed with installation? [Y/n]
(2/2) checking keys in keyring [######################] 100%
(2/2) checking package integrity [######################] 100%
(2/2) loading package files [######################] 100%
(2/2) checking for file conflicts [######################] 100%
error: failed to commit transaction (conflicting files)
libmongoc: /usr/lib/libsnappy.so exists in filesystem
Errors occurred, no packages were upgraded.
[/quote]

libsnappy.so clearly belongs to the snappy package.

This doesn’t happen upstream with the same package.

 13 Packages: Build-listBug ReportMediumLow [fox-devel] fails on 32-bit Intel Closed
100%
Task Description

It’s the development version of the FOX toolkit.

Breaks in some int/FXival/void * abstractions:

FXWSQueue.cpp: In member function 'FX::FXbool FX::FXWSQueue::pop(void*&)':
FXWSQueue.cpp:113:35: error: no matching function for call to 'atomicBoolCas(volatile FXival*, FX::FXival&, long int)'
       if(!atomicBoolCas(&top,t,t+1)){
                                   ^
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:63:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXint*, FX::FXint, FX::FXint) 
 extern FXAPI FXbool atomicBoolCas(volatile FXint* ptr,FXint expect,FXint v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:63:21: note:   conversion of argument 1 would be ill-formed:
FXWSQueue.cpp:113:25: error: invalid conversion from 'volatile FXival* {aka volatile long int*}' to 'volatile FXint* {aka volatile int*}' [-fpermissive]
       if(!atomicBoolCas(&top,t,t+1)){
                         ^~~~
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:84:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXuint*, FX::FXuint, FX::FXuint) 
 extern FXAPI FXbool atomicBoolCas(volatile FXuint* ptr,FXuint expect,FXuint v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:84:21: note:   conversion of argument 1 would be ill-formed:
FXWSQueue.cpp:113:25: error: invalid conversion from 'volatile FXival* {aka volatile long int*}' to 'volatile FXuint* {aka volatile unsigned int*}' [-fpermissive]
       if(!atomicBoolCas(&top,t,t+1)){
                         ^~~~
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:99:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXlong*, FX::FXlong, FX::FXlong)
 extern FXAPI FXbool atomicBoolCas(volatile FXlong* ptr,FXlong expect,FXlong v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:99:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'volatile FXlong* {aka volatile long long int*}'
../include/FXAtomic.h:114:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXulong*, FX::FXulong, FX::FXulong)
 extern FXAPI FXbool atomicBoolCas(volatile FXulong* ptr,FXulong expect,FXulong v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:114:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'volatile FXulong* {aka volatile long long unsigned int*}'
../include/FXAtomic.h:135:21: note: candidate: FX::FXbool FX::atomicBoolCas(void* volatile*, FX::FXptr, FX::FXptr)
 extern FXAPI FXbool atomicBoolCas(volatile FXptr* ptr,FXptr expect,FXptr v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:135:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'void* volatile*'
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:166:15: note: candidate: template FX::FXbool FX::atomicBoolCas(EType* volatile*, EType*, EType*)
 inline FXbool atomicBoolCas(EType *volatile *ptr,EType* expect,EType* v){
               ^~~~~~~~~~~~~
../include/FXAtomic.h:166:15: note:   template argument deduction/substitution failed:
FXWSQueue.cpp:113:35: note:   mismatched types 'EType* volatile' and 'volatile FXival {aka volatile long int}'
       if(!atomicBoolCas(&top,t,t+1)){
                                   ^
FXWSQueue.cpp: In member function 'FX::FXbool FX::FXWSQueue::take(void*&)':
FXWSQueue.cpp:139:32: error: no matching function for call to 'atomicBoolCas(volatile FXival*, FX::FXival&, long int)'
     if(atomicBoolCas(&top,t,t+1)){
                                ^
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:63:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXint*, FX::FXint, FX::FXint) 
 extern FXAPI FXbool atomicBoolCas(volatile FXint* ptr,FXint expect,FXint v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:63:21: note:   conversion of argument 1 would be ill-formed:
FXWSQueue.cpp:139:22: error: invalid conversion from 'volatile FXival* {aka volatile long int*}' to 'volatile FXint* {aka volatile int*}' [-fpermissive]
     if(atomicBoolCas(&top,t,t+1)){
                      ^~~~
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:84:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXuint*, FX::FXuint, FX::FXuint) 
 extern FXAPI FXbool atomicBoolCas(volatile FXuint* ptr,FXuint expect,FXuint v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:84:21: note:   conversion of argument 1 would be ill-formed:
FXWSQueue.cpp:139:22: error: invalid conversion from 'volatile FXival* {aka volatile long int*}' to 'volatile FXuint* {aka volatile unsigned int*}' [-fpermissive]
     if(atomicBoolCas(&top,t,t+1)){
                      ^~~~
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:99:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXlong*, FX::FXlong, FX::FXlong)
 extern FXAPI FXbool atomicBoolCas(volatile FXlong* ptr,FXlong expect,FXlong v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:99:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'volatile FXlong* {aka volatile long long int*}'
../include/FXAtomic.h:114:21: note: candidate: FX::FXbool FX::atomicBoolCas(volatile FXulong*, FX::FXulong, FX::FXulong)
 extern FXAPI FXbool atomicBoolCas(volatile FXulong* ptr,FXulong expect,FXulong v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:114:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'volatile FXulong* {aka volatile long long unsigned int*}'
../include/FXAtomic.h:135:21: note: candidate: FX::FXbool FX::atomicBoolCas(void* volatile*, FX::FXptr, FX::FXptr)
 extern FXAPI FXbool atomicBoolCas(volatile FXptr* ptr,FXptr expect,FXptr v);
                     ^~~~~~~~~~~~~
../include/FXAtomic.h:135:21: note:   no known conversion for argument 1 from 'volatile FXival* {aka volatile long int*}' to 'void* volatile*'
In file included from FXWSQueue.cpp:27:0:
../include/FXAtomic.h:166:15: note: candidate: template FX::FXbool FX::atomicBoolCas(EType* volatile*, EType*, EType*)
 inline FXbool atomicBoolCas(EType *volatile *ptr,EType* expect,EType* v){
               ^~~~~~~~~~~~~
../include/FXAtomic.h:166:15: note:   template argument deduction/substitution failed:
FXWSQueue.cpp:139:32: note:   mismatched types 'EType* volatile' and 'volatile FXival {aka volatile long int}'
     if(atomicBoolCas(&top,t,t+1)){
                                ^
make[2]: *** [Makefile:1339: FXWSQueue.lo] Error 1
make[2]: Leaving directory '/build/fox-devel/src/fox-1.7.61/lib'

I don’t see a bug reporting system or a source code repository upstream, just a blog.

I think, best is to wait.

 14 PackagesBug ReportVery LowLow [ghc-mod] Needs rebuilt Closed
100%
Task Description

Yesterday, I mentioned on IRC that many haskell packages need rebuilt. In response, deep42thought moved a bunch of packages from staging to stable, and told me to open a bug report if the issue persisted.

For the most part, this seems resolved. Some pacman -Qo/-Ql/ldd/grep magic tells me that all of the haskell packages I have are fine, except for [ghc-mod].

 15 Packages: StableBug ReportVery LowLow [extra/m17n-lib] needs rebuilt for icu 60 Closed
100%
Task Description

extra/m17n-lib 1.7.0-1 is built against icu 59; it needs rebuilt against icu 60 (which moved from staging to stable on Monday).

 16 Packages: StableBug ReportMediumLow [libreoffice-still] still using icu 59 Closed
100%
Task Description
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.59: cannot open 
shared object file: No such file or directory
libreoffice-still 5.3.7-5
icu 60.1-1
 21 Packages: Build-listBug ReportMediumLow [ceph] unit tests failing or segfault Closed
100%
Task Description
  5/142 Test   #3: test_objectstore_memstore.sh ............***Failed    1.13 sec
  7/142 Test   #1: run-rbd-unit-tests.sh ...................***Failed    1.49 sec
 46/142 Test  #57: unittest_util ...........................***Failed    0.05 sec
 51/142 Test  #59: unittest_lru ............................***Failed    0.57 sec
 92/142 Test #100: unittest_erasure_code_shec_arguments ....***Failed    0.63 sec
 96/142 Test #102: unittest_journal ........................***Exception: SegFault  0.90 sec
 98/142 Test #106: unittest_mds_sessionfilter ..............***Exception: SegFault  1.02 sec
106/142 Test #116: unittest_bluefs .........................***Exception: SegFault  0.66 sec
107/142 Test #117: unittest_bluestore_types ................***Exception: SegFault  1.25 sec
108/142 Test #119: unittest_memstore_clone .................***Exception: SegFault  2.51 sec
114/142 Test #124: unittest_osdscrub .......................***Exception: SegFault  0.63 sec
115/142 Test #125: unittest_pglog ..........................***Exception: SegFault  1.23 sec
116/142 Test #126: unittest_hitset .........................***Failed    0.52 sec
125/142 Test #134: test_ceph_argparse.py ...................***Failed    1.64 sec
130/142 Test   #6: run-tox-ceph-disk .......................***Failed   94.75 sec
132/142 Test #142: unittest_rbd_mirror .....................***Exception: SegFault  0.51 sec
140/142 Test   #2: run-cli-tests ...........................***Failed  167.72 sec
141/142 Test #110: mgr-dashboard-smoke.sh ..................***Failed  301.60 sec
 22 Packages: Build-listBug ReportMediumLow [firefox-developer-edition] build fails with out of mem ...Closed
100%
Task Description
49:50.05 note: rustc 1.22.1 running on i686-unknown-linux-gnu
49:50.05 
49:50.05 note: run with `RUST_BACKTRACE=1` for a backtrace
49:50.05 
49:50.05 thread 'rustc' panicked at 'called `Result::unwrap()` on an `Err` value: Error { repr: Custom(Custom { kind: Other, error: StringError("Cannot allocate memory") }) }', src/libcore/result.rs:906:4
49:50.05 stack backtrace:
49:50.05    0: 0xf7caf5ea - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05    1: 0xf7caa43e - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05    2: 0xf7cbb31c - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05    3: 0xf7cbb051 - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05    4: 0xf7cbb82b - std::panicking::rust_panic_with_hook::h269fa2b74a2a0cee
49:50.05    5: 0xf7cbb6f6 - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05    6: 0xf7cbb616 - std::panicking::begin_panic_fmt::hfe3f4b4d254fe489
49:50.05    7: 0xf7cbb57d - rust_begin_unwind
49:50.05    8: 0xf7d10dd6 - core::panicking::panic_fmt::h39c7136c9dc224e1
49:50.05    9: 0xf791f50a - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05   10: 0xf79558dc - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05   11: 0xf794f7e6 - rustc_trans::back::link::each_linked_rlib::h1e799094f6b686fb
49:50.05   12: 0xf794ff56 - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05   13: 0xf794f19b - rustc_trans::back::link::link_binary::ha97335099e542ac0
49:50.06   14: 0xf79f455e - ::link_binary::h62e43ed882d32b44
49:50.06   15: 0xf7e686c5 - rustc_driver::driver::compile_input::hfa914359aa3118bb
49:50.06   16: 0xf7e82a2a - rustc_driver::run_compiler::hcd191a8815d2728b
49:50.06   17: 0xf7d9cc8f - rust_metadata_rustc_driver_e8ab70a79951e31413d2f7ce5f23c51c
49:50.06   18: 0xf7cc5542 - __rust_maybe_catch_panic
49:50.06   19: 0xf7dd6891 - 
49:50.06   20: 0xf7cba2db - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.06   21: 0xf622ee55 - start_thread
49:50.06   22: 0xf7b6dd05 - __clone
49:50.06   23:        0x0 - 
49:50.06 
49:50.23 error: Could not compile `gkrust`.
49:50.23 
49:50.23 To learn more, run the command again with --verbose.
49:50.24 make[4]: *** [/build/firefox-developer-edition/src/mozilla-unified/config/rules.mk:953: force-cargo-library-build] Error 101
49:50.24 make[3]: *** [/build/firefox-developer-edition/src/mozilla-unified/config/recurse.mk:73: toolkit/library/rust/target] Error 2
49:50.24 make[2]: *** [/build/firefox-developer-edition/src/mozilla-unified/config/recurse.mk:33: compile] Error 2
49:50.24 make[1]: *** [/build/firefox-developer-edition/src/mozilla-unified/config/rules.mk:432: default] Error 2
49:50.24 make: *** [client.mk:274: build] Error 2
49:50.28 635 compiler warnings present.
49:50.44 Notification center failed: Install notify-send (usually part of the libnotify package) to get a notification when the build finishes.
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /var/lib/archbuild/staging-with-build-support-i686/erich/build
 23 Packages: Build-listBug ReportMediumLow libretro* packages failing, seem unsupported for 32-bit ...Closed
100%
Task Description

This affects the following packages:
- libretro-citra (unsuported architecture in dynarmic submodule)
- libretro-parallel-n64: tons of assembly errors
- libretro-ppsspp: linking issues with ffmpeg
- libretro-mupen64plus: direct GOT relocation R_386_GOT32X against _ZN9PluginAPI3getEv PluginAPI::get()

blacklisting all.

 24 Packages: StableBug ReportVery LowLow [extra/viewnior] Needs rebuild against exiv2=0.26 Closed
100%
Task Description

It looks like viewnior=1.6-3 is built against an older version of exiv2:

[meurglys@ma3a ~]$ viewnior
viewnior: error while loading shared libraries: libexiv2.so.14: cannot open shared object file: No such file or directory
[meurglys@ma3a ~]$

A rebuild against exiv2=0.26-2 will sort it.

Manjaro issue thread: https://forum.manjaro.org/t/solved-viewnior-not-working-in-testing-manjaro32-17-1-1/38072

 26 PackagesBug ReportMediumLow [texlive] partially linked against old libmpfr Closed
100%
Task Description

( 9/18) Updating TeXLive filename database...
texlua: error while loading shared libraries: libmpfr.so.4: cannot open shared object file: No such file or directory

Triggered a forced rebuild of textlive-core and texlive-bin.

 27 Packages: StableBug ReportMediumLow man breaks on gdbm sobump Closed
100%
Task Description

man
man: error while loading shared libraries: libgdbm.so.4: cannot open shared object file: No such file or directory

either you must link against libgdbm_compat.so.4 or against libgdbm.5

 30 Source ForksBug ReportMediumLow libaio, will fail with stack smash protection enabled,  ...Closed
100%
Task Description
io_queue_run.os: In function `io_queue_run':
io_queue_run.c:(.text+0x71): undefined reference to `__stack_chk_fail_local'
io_getevents.os: In function `__io_getevents_0_4':
io_getevents.c:(.text+0x48): undefined reference to `__stack_chk_fail_local'
compat-0_1.os: In function `compat0_1_io_cancel':
compat-0_1.c:(.text+0x43): undefined reference to `__stack_chk_fail_local'
compat-0_1.os: In function `compat0_1_io_queue_wait':
compat-0_1.c:(.text+0xaf): undefined reference to `__stack_chk_fail_local'
compat-0_1.os: In function `compat0_1_io_getevents':
compat-0_1.c:(.text+0x125): undefined reference to `__stack_chk_fail_local'
collect2: error: ld returned 1 exit status

As libaio is merely a wrapper over the kernel, I suggest to disable SSP in this
case with -fno-stack-protector.

 31 PackagesBug ReportHighLow librsvg fails with invalid opcode on 2.42.1 and newer Closed
100%
Task Description
traps: gtk3-demo[365] trap invalid opcode ip:aedd3e15 sp:bffc64c0 error:0 in librsvg-2.so.2.42.3[aed27000+11a000]

Downgrading to 2.40.19 seems to help.
https://archive.archlinux32.org/repos/2017/11/01/extra/os/i686/librsvg-2:2.40.19-1-i686.pkg.tar.xz

This could be related to machine not having SSE2 (Pentium III-M Tualin)

Related bbs thread: https://bbs.archlinux32.org/viewtopic.php?id=1369

 32 Packages: StableBug ReportMediumLow [samba] faileure to start due to linking issues Closed
100%
Task Description

samba-4.7.5-1.0
smbclient-4.7.5-1.0
libwbclient-4.7.6-1.0

Downgrading those three packages to 4.7.4 as a temporary workaround.

Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libgensec-samba4.so: version `SAMBA
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libndr-samba4.so: version `SAMBA_4.
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libsamba-modules-samba4.so: version
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libcliauth-samba4.so: version `SAMB
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libsamba-debug-samba4.so: version `
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libevents-samba4.so: version `SAMBA
Mar 27 20:13:58 eurodata samba[966]: /usr/bin/samba: /usr/lib/samba/libMESSAGING-samba4.so: version `SA
Mar 27 20:13:58 eurodata systemd[1]: samba.service: Control process exited, code=exited status=1
Mar 27 20:13:58 eurodata systemd[1]: samba.service: Failed with result 'exit-code'.
Mar 27 20:13:58 eurodata systemd[1]: Failed to start Samba AD Daemon.
 33 Packages: TestingBug ReportMediumLow [icu] sobump mismatch Closed
100%
Task Description

For instance:

[quote]
shell> kwin_x11
kwin_x11: error while loading shared libraries: libicui18n.so.60: cannot open shared object file: No such file or directory
[/quote]

Seen similar on ArchlinuxARM, so I guess it’s an undetected SO-bump from upstream..

 34 Packages: StableBug ReportMediumLow [libmariadbclient] update breaks mariadb-clients Closed
100%
Task Description

:: mariadb-clients: installing libmariadbclient (10.1.32-1.0) breaks dependency ‘libmariadbclient=10.1.31’

Temporary solution: use IgnorePkg libmariadbclient in /etc/pacman.conf

 35 PackagesBug ReportMediumLow texlive errors while installing (missing icu 60) Closed
100%
Task Description
(16/19) Updating TeXLive format files...
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
fmtutil [ERROR]: running `xetex -ini   -jobname=xetex -progname=xetex -etex xetex.ini /null' return status 127
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `xetex -ini   -jobname=cont-en -progname=context -8bit *cont-en.mkii /null' return status 127
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `xetex -ini   -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini /null' return status 127
fmtutil [ERROR]: return error due to options --strict
fmtutil [ERROR]: running `xetex -ini   -jobname=xelatex -progname=xelatex -etex xelatex.ini /null' return status 127
fmtutil [ERROR]: return error due to options --strict
error: command failed to execute correctly
(17/19) Updating TeXLive font maps...
(18/19) Updating the desktop file MIME type cache...
(19/19) Updating the MIME type database...

Not had the time to actually test TexLive, it may work despite the errors.

An ldd on texlive-bin shows me:

/usr/bin/upmendex:
        linux-gate.so.1 (0xb7f53000)
        libkpathsea.so.6 => /usr/lib/libkpathsea.so.6 (0xb7ee9000)
        libicui18n.so.60 => not found
        libicuuc.so.60 => not found
        libc.so.6 => /usr/lib/libc.so.6 (0xb7d14000)
        /lib/ld-linux.so.2 => /usr/lib/ld-linux.so.2 (0xb7f55000)

/usr/bin/xelatex:
        linux-gate.so.1 (0xb7f36000)
        libharfbuzz-icu.so.0 => /usr/lib/libharfbuzz-icu.so.0 (0xb7b42000)
        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb7a85000)
        libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xb7a55000)
        libicuuc.so.60 => not found
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0xb7a36000)
        libpoppler.so.72 => /usr/lib/libpoppler.so.72 (0xb77c0000)
/usr/bin/xetex:
        linux-gate.so.1 (0xb7f0e000)
        libharfbuzz-icu.so.0 => /usr/lib/libharfbuzz-icu.so.0 (0xb7b1a000)
        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb7a5d000)
        libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xb7a2d000)
        libicuuc.so.60 => not found

So a rebuild of texlive is maybe an option?

 38 Packages: TestingBug ReportMediumLow Using SDDM, X and LXDE segfaults and logs automatically ...Closed
100%
Task Description
May 25 08:01:07 arch32-testing systemd-coredump[4620]: Process 4326 (X) of user 0 dumped core.
                                                       
                                                       Stack trace of thread 4326:
                                                       #0  0x00000000b7f64d21 __kernel_vsyscall (linux-ga
te.so.1)
                                                       #1  0x00000000b7d835e2 raise (libc.so.6)
                                                       #2  0x00000000b7d84a61 abort (libc.so.6)
                                                       #3  0x000000000052e5b5 OsAbort (Xorg)
                                                       #4  0x000000000052e632 FatalError (Xorg)
                                                       #5  0x00000000005cd9da n/a (Xorg)
                                                       #6  0x00000000b7f64d38 __kernel_rt_sigreturn (linux-gate.so.1)
                                                       #7  0x00000000b6ed12ca n/a (n/a)

The question is: is this a generic problem of new Xorg? Or just in combination with a specific window
manager, sound system, login manager?

 40 PackagesBug ReportVery LowLow [extra/gimp] is uninstallable because [extra/gegl02] wa ...Closed
100%
Task Description

[extra/gegl02] (which provided gegl=0.2; [extra/gegl] is 0.3) was removed, despite that it was still needed by [extra/gimp].

[extra/gimp] is an old version (2.8); the current version (2.10), which no longer depends on gegl02, is currently in [testing].

(I am unsure if [testing/gimp] depends on extra/gegl=0.3 or testing/gegl=0.4)

 41 PackagesBug ReportVery LowLow [extra/vlc] is uninstallable because [extra/ffmpeg2.8]  ...Closed
100%
Task Description

[extra/ffmpeg2.8] (which provided ffmpeg=2.8; [extra/ffmpeg] is 3.4) was removed, despite that it was still needed by [extra/vlc].

[extra/vlc] is an old version (2.2); the current version (3.0), which no longer depends on ffmpeg2.8, is currently in [testing].

(I am unsure if [testing/vlc] depends on extra/ffmpeg=3.4 or testing/ffmpeg=4.0)

 44 Packages: Build-listBug ReportMediumLow [qt5-webengine] fatal error: QtUiPlugin/QDesignerCustom ...Closed
100%
Task Description

In file included from /root/qt5-webengine/src/qtwebengine-everywhere-src-5.11.0/src/plugins/qwebengineview/qwebengineview_plugin.cpp:40:
/root/qt5-webengine/src/qtwebengine-everywhere-src-5.11.0/src/plugins/qwebengineview/qwebengineview_plugin.h:43:10: fatal error: QtUiPlugin/QDesignerCustomWidgetInterface: No such file or directory
#include

        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/usr/include/qt4/QtDesigner/QDesignerCustomWidgetInterface

So, it needs a qt4 thingy and a reconfiguration to build?

 45 Packages: Build-listBug ReportMediumLow doublecmd: access violation Closed
100%
Task Description

Both the gtk2 and the qt5 version fail with:

[FORMS.PP] ExceptionOccurred 
  Sender=EAccessViolation
  Exception=Access violation
  Stack trace:
  $0001FDE9 in 
  $A2C24F0E in /usr/lib/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
  $B7F7F879 in /lib/ld-linux.so.2
TApplication.HandleException Access violation
  Stack trace:
  $0001FDE9 in 
  $A2C24F0E in /usr/lib/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
  $B7F7F879 in /lib/ld-linux.so.2
Finishing GuiMessageQueue
 50 PackagesBug ReportVery LowLow [imagemagick] is not installable because of [perl] Closed
100%
Task Description

The current extra/imagemagick depends on ‘perl<5.27’, but core/perl is 5.28.

$ pacman -Si imagemagick perl
Repository      : extra
Name            : imagemagick
Version         : 7.0.7.28-1.0
…
Depends On      : libmagick=7.0.7.28-1.0  perl>=5.26  perl<5.27
…

Repository      : core
Name            : perl
Version         : 5.28.0-1.0
…
 51 PackagesBug ReportVery LowLow ufw needs rebuild for python 3.7 Closed
100%
Task Description

Been using ufw for some time. Today, I wanted to turn logging off.
Command “ufw logging off” should just work. Instead it gives:

ufw logging off
Traceback (most recent call last):

File "/usr/bin/ufw", line 26, in 
  import ufw.frontend

ModuleNotFoundError: No module named ‘ufw’

which I trace to the fact ufw is installed in
/usr/lib/python3.6/site-packages/ufw
and there’s no longer a python 3.6 executable; it’s all 3.7 now.

 55 PackagesBug ReportVery LowLow protobuf 3.6.0 needs pushing from testing to stable Closed
100%
Task Description

As per https://bbs.archlinux32.org/viewtopic.php?pid=5140

Python-protobuf 3.6.0 has already been pushed to extra for a long time now, but protobuf is still at version 3.5.2. As far as I’m aware, the set in testing all works.

For completeness, puthon2-protobuf 3.6.0 probably needs to be migrated to stable extra as well.

 57 Packages: StableBug ReportLowLow libc fails on AMD-K6 Closed
100%
Task Description

pacstrap /test base
LD_LIBRARY_PATH=/test/usr/lib gdb –args /test/bin/bash results in:

Program terminated with signal SIGILL, Illegal instruction.
#0  0xb7619991 in strcmp () from /test/usr/lib/libc.so.6
(gdb) bt
#0  0xb7619991 in strcmp () from /test/usr/lib/libc.so.6
#1  0xb75bd41f in setlocale () from /test/usr/lib/libc.so.6
#2  0x0076b7f2 in ?? ()
#3  0x0053acf6 in ?? ()
#4  0xb75b3a31 in __libc_start_main () from /test/usr/lib/libc.so.6
#5  0x0053e561 in ?? ()

So, getting the exact failing opcode is hard.

2.28-5.0 was ok,
2.28-5.2 is not.

So it’s something we changed or something changed on one of the i486 build slaves.

Happens only on the AMD-K6, all other machines with CPUs with limited special instruction
sets (Pentium-S, AMD Geode) are working fine.

 58 Packages: Build-listBug ReportMediumLow texlive-bin doesn't build Closed
100%
Task Description
g++ -DHAVE_CONFIG_H -I. -I../../../texk/web2c -I./w2c   -I/build/texlive-bin/src/texlive-source/Work/texk -I/build/texlive-bin/src/texlive-source/texk  -I/usr/include/libpng16  -DPOPPLER_VERSION=\"0.71.0\" -I/usr/include/poppler  -I../../../texk/web2c/libmd5 -I../../../texk/web2c/pdftexdir -D_FORTIFY_SOURCE=2 -Wreturn-type -Wno-write-strings -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -MT pdftexdir/libpdftex_a-pdftoepdf.o -MD -MP -MF pdftexdir/.deps/libpdftex_a-pdftoepdf.Tpo -c -o pdftexdir/libpdftex_a-pdftoepdf.o `test -f 'pdftexdir/pdftoepdf.cc' || echo '../../../texk/web2c/'`pdftexdir/pdftoepdf.cc
../../../texk/web2c/pdftexdir/pdftoepdf.cc: In function ‘void copyFont(char*, Object*)’:
../../../texk/web2c/pdftexdir/pdftoepdf.cc:430:69: error: ‘std::__cxx11::basic_string’ is not an accessible base of ‘const GooString’
             epdf_mark_glyphs(fd, (char *)charset.getString()->c_str());
                                                                     ^
../../../texk/web2c/pdftexdir/pdftoepdf.cc:430:69: error: ‘const _CharT* std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::c_str() const [with _CharT = char; _Traits = std::char_traits; _Alloc = std::allocator]’ is inaccessible within this context
In file included from /usr/include/c++/8.2.1/string:52,
                 from /usr/include/poppler/goo/GooString.h:37,
                 from ../../../texk/web2c/pdftexdir/pdftoepdf.cc:46:
/usr/include/c++/8.2.1/bits/basic_string.h:2290:7: note: declared here
       c_str() const _GLIBCXX_NOEXCEPT
       ^~~~~
../../../texk/web2c/pdftexdir/pdftoepdf.cc: In function ‘void copyObject(Object*)’:
../../../texk/web2c/pdftexdir/pdftoepdf.cc:569:30: error: ‘std::__cxx11::basic_string’ is not an accessible base of ‘GooString’
         p = (char *)s->c_str();
                              ^
../../../texk/web2c/pdftexdir/pdftoepdf.cc:569:30: error: ‘const _CharT* std::__cxx11::basic_string<_CharT, _Traits, _Alloc>::c_str() const [with _CharT = char; _Traits = std::char_traits; _Alloc = std::allocator]’ is inaccessible within this context
In file included from /usr/include/c++/8.2.1/string:52,
                 from /usr/include/poppler/goo/GooString.h:37,
                 from ../../../texk/web2c/pdftexdir/pdftoepdf.cc:46:
/usr/include/c++/8.2.1/bits/basic_string.h:2290:7: note: declared here
       c_str() const _GLIBCXX_NOEXCEPT
       ^~~~~
make[5]: *** [Makefile:16347: pdftexdir/libpdftex_a-pdftoepdf.o] Error 1
make[5]: Leaving directory '/build/texlive-bin/src/texlive-source/Work/texk/web2c'
make[4]: *** [Makefile:16801: all-recursive] Error 1
make[4]: Leaving directory '/build/texlive-bin/src/texlive-source/Work/texk/web2c'
make[3]: *** [Makefile:4780: all] Error 2
make[3]: Leaving directory '/build/texlive-bin/src/texlive-source/Work/texk/web2c'
make[2]: *** [Makefile:911: recurse] Error 1
make[2]: Leaving directory '/build/texlive-bin/src/texlive-source/Work/texk'
make[1]: *** [Makefile:488: all-recursive] Error 1
make[1]: Leaving directory '/build/texlive-bin/src/texlive-source/Work/texk'
make: *** [Makefile:576: all-recursive] Error 1
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /data/archbuild/chroots/staging-i686/abaumann/build
 59 Packages: StableBug ReportMediumLow unison segfault Closed
100%
Task Description

Calling unison, a file synchronizer written in Ocaml. Segfaults.
Most likely a string optimization inside Ocaml itself or a non-matching
library somewhere (recompile ocaml?)

(gdb) bt
#0  0x006782df in caml_string_equal ()
#1  0x005ce0d8 in camlUpdate__archiveMode_802888 ()
#2  0x005ce6e5 in camlUpdate__setArchiveData_802926 ()
#3  0x005da668 in camlGlobals__fun_802549 ()
#4  0x005fed99 in camlLwt_util__map_1080 ()
#5  0x005fedac in camlLwt_util__map_1080 ()
#6  0x005da5b9 in camlGlobals__allRootsMap_301891 ()
#7  0x005cea7f in camlUpdate__loadArchives_802958 ()
#8  0x005d4637 in camlUpdate__findUpdatesOnPaths_2603478 ()
#9  0x005b36f5 in camlUitext__synchronizeOnce_1102725 ()
#10 0x005b4041 in camlUitext__loop_1203129 ()
#11 0x005b41d6 in camlUitext__synchronizeUntilDone_1203134 ()
#12 0x005b442e in camlUitext__start_1303143 ()
#13 0x005acc54 in camlMain__Body_401249 ()
#14 0x005ac19d in camlLinktext__entry ()
#15 0x005a8220 in caml_program ()
#16 0x0068b64d in caml_start_program ()
#17 0x0068b9f1 in caml_startup_common ()
#18 0x0068ba6a in caml_startup ()
#19 0x005a7c25 in main ()
 60 Packages: Build-listBug ReportMediumLow lightdm gtk greeter fails Closed
100%
Task Description
Jan 10 12:55:01 arch32-staging systemd-coredump[894]: Process 892 (lightdm-gtk-gre) of user 620 dumped core.
                                                      
                                                      Stack trace of thread 892:
                                                      #0  0x00000000b712bb25 n/a (libglib-2.0.so.0)
                                                      #1  0x00000000b7120230 g_log_default_handler (libglib-2.0.so.0)
                                                      #2  0x00000000b712bd7d g_logv (libglib-2.0.so.0)
                                                      #3  0x00000000b712bf55 g_log (libglib-2.0.so.0)
                                                      #4  0x00000000b711267a g_thread_new (libglib-2.0.so.0)
                                                      #5  0x00000000b7132a1e n/a (libglib-2.0.so.0)
                                                      #6  0x00000000b7132a7a n/a (libglib-2.0.so.0)
                                                      #7  0x00000000b70e78d7 g_unix_signal_source_new (libglib-2.0.so.0)
                                                      #8  0x00000000b70ea3ef g_unix_signal_add_full (libglib-2.0.so.0)
                                                      #9  0x00000000b70ea463 g_unix_signal_add (libglib-2.0.so.0)
                                                      #10 0x00000000004dc145 main (lightdm-gtk-greeter)
                                                      #11 0x00000000b6c87a49 __libc_start_main (libc.so.6)
                                                      #12 0x00000000004de7f5 _start (lightdm-gtk-greeter)

 61 Packages: Build-listBug ReportMediumLow dmd fails to build with evalu8.d:function evalu8(elem*, ...Closed
100%
Task Description

From the discusison in:

https://forum.dlang.org/thread/dsrjmpnavxqsjqmlvotf@forum.dlang.org

Well the problem is that the mangling produced by g++ is _Z7_moduloee but the mangling produced with ldc 1.13.0 on my environment is _Z7_moduloeS_ .
The first is a valid mangling according to some online demanglers but the last one isn't.
I then tried to compile evalu8 [1] with ldc 1.11.0 and dmd 2.081.2 and they both produced the correct name mangling.

The mangling is done by LDC itself, not LLVM, and so it is a bug in LDC. In this particular case, the second argument of _modulo is the same as the first and the mangler is (incorrectly) replacing the type of the second with a backreference to the first type. That's what the mangler should do for user types, but not for builtin types.

They reference to:

https://github.com/ldc-developers/ldc/issues/2954

 72 Packages: StableBug ReportVery LowLow [mpd] icu version mismatch Closed
100%
Task Description
$ mpd
mpd: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory
 75 Packages: StableBug ReportMediumLow openjdk8/10/11/12 break with march=pentium4 optimizatio ...Closed
100%
Task Description

This blocks ant, needed for building libreoffice.

 79 Packages: StableBug ReportMediumLow trojita libstdc++ ABI mismatch Closed
100%
Task Description

trojita
trojita: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.26’ not found (required by /usr/lib/libQt5WebKit.so.5)

 1 PackagesBug ReportVery LowVery Low Sample Task Closed
100%
Task Description

This isn’t a real task. You should close it and start opening some real tasks.

 47 Packages: StableBug ReportVery LowVery Low rankmirrors $repo guessing broken in i686 only Closed
100%
Task Description

I usually use rankmirrors on my mirrorlist prior to installing them fully to sort them such that the quickest mirrors are listed first.

I found that when using them to sort my mirrorlist.pacnew, it would claim each server target was unreachable, and reproduce them in their original order, making the tool rather useless.

Workaround

I also discovered that I can work around the problem by passing an argument of ‘-r core’ to the invocation, e.g. ‘$ rankmirrors -r core /etc/pacman.d/mirrorlist.pacnew > mirrorlist.temp’

Steps to reproduce

  • rankmirrors -t /etc/pacman.d/mirrorlist.pacnew

This -t option prints out the timings, or unreachable if it failed to create a valid uri.

Investigation

My investigations thus far show that /usr/bin/rankmirrors is a bash script, and it looks like the if statement starting on line 79 in the current version (the first if statement in the getfetchurl function) is designed to replace the $repo string with whatever $TARGETREPO is, else ‘core’ which suggests it should work by default.

The only consistent difference in the format of the mirrorlist file between here and on my x64 machine (where rankmirrors continues to work fine) is that on x64 the repos almost all have /os before /$repo while we often have it at the root of the public filesystem, or under something other than /os.

Unfortunately the vagaries of bash string substitution are something I rarely touch and never touch again provided they continue to work, so I can’t guess why this would have stopped working for us. If I have time to dig further I’ll comment here though, of course.

78Release EngineeringBug ReportVery LowCriticalThe qt5 group contains packages of different versions.Unconfirmed
0%
Task Description

The qt5 group contains a qt5-base which is of a later revision, 5.12.4 instead of 5.12.3. pyside2 is also of a this later revision, but I don’t use it. I guess the group should be fixed.

Workaround: I downgraded qt5-base and it is working again.

I get this error: sddm-greeter[441]: Cannot mix incompatible Qt library (version 0x50c03) with this library (version 0x50c04)
Then systemd dumps core.

Excerpt from my journal: External Link

The group definition as seen when installing the group with pacman: External Link

My architecture is i686.

I consider it critical since QT is not working.

69Packages: Build-listBug ReportHighHighfirefox breaks heavily in micro-optimized codeNew
0%
Task Description

The root cause is rust is not recompiling currently.

The log in detail:

14:57.22 error[E0432]: unresolved import `simd_funcs`                                                                                                                                                               
14:57.22   --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:16:1                                                                                                           3                                                                                                               
14:57.22    |                                                                                                                                                   
14:57.22 16 |         use simd_funcs::*;                                                                                                                                                                            
14:57.22    |             ^^^^^^^^^^ maybe a missing `extern crate simd_funcs;`?                                                                                                                                    
14:57.22 error[E0432]: unresolved import `packed_simd`                                                                                                                                                              
14:57.22   --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:17:1                                                                                                           3                                                                                                               
14:57.22    |                                                                                                                                                   
14:57.22 17 |         use packed_simd::u16x8;                                                                                                                                                                       
14:57.22    |             ^^^^^^^^^^^ maybe a missing `extern crate packed_simd;`?                                                                                                                                  
14:57.45 error[E0425]: cannot find function `load16_unaligned` in this scope                                                                                                                                        
14:57.45    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:120                                                                                                           :34                                                                                                                     
14:57.45     |                                                                                                                                                      
14:57.45 120 |             let input = unsafe { load16_unaligned(src_ptr.add(i * 16)) };                                                                                                                            
14:57.45     |                                  ^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                            
14:57.45 error[E0425]: cannot find function `simd_unpack` in this scope                                                                                                                                             
14:57.45    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:121                                                                                                           :35                                                                                                                     
14:57.45     |                                                                                                                                                      
14:57.45 121 |             let (first, second) = simd_unpack(input);                                                                                                                                                
14:57.45     |                                   ^^^^^^^^^^^ not found in this scope                                                                                                                                
14:57.45 error[E0425]: cannot find function `store8_unaligned` in this scope                                                                                                                                        
14:57.45    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:123                                                                                                           :17                                                                                                                     
14:57.45     |                                                                                                                                                      
14:57.45 123 |                 store8_unaligned(dst_ptr.add(i * 16), shift_upper(first));                                                                                                                           
14:57.45     |                 ^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                                             
14:57.45 error[E0425]: cannot find function `store8_unaligned` in this scope                                                                                                                                        
14:57.45    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:124                                                                                                           :17                                                                                                                     
14:57.45     |                                                                                                                                                      
14:57.45 124 |                 store8_unaligned(dst_ptr.add((i * 16) + 8), shift_upper(second));                                                                                                                    
14:57.45     |                 ^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                                             
14:57.46 error[E0412]: cannot find type `u16x8` in this scope                                                                                                                                                       
14:57.46    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:121:40                                                                                                               
14:57.46     |                                                                                                                                                      
14:57.46 121 |     pub fn simd_at(&self, i: usize) -> u16x8 {                                                                                                                                                       
14:57.46     |                                        ^^^^^ not found in this scope                                                                                                                                 
14:57.46 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.46    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:122:21                                                                                                               
14:57.46     |                                                                                                                                                      
14:57.46 122 |         assert!(i + SIMD_STRIDE_SIZE / 2 <= self.len);                                                                                                                                               
14:57.46     |                     ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STR                                                                                                           IDE_SIZE`                                                                                                                                       
14:57.47 error[E0425]: cannot find function `to_u16_lanes` in this scope                                                                                                                                            
14:57.47    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:124:18                                                                                                               
14:57.47     |                                                                                                                                                      
14:57.47 124 |         unsafe { to_u16_lanes(load16_unaligned(self.ptr.add(byte_index))) }                                                                                                                          
14:57.47     |                  ^^^^^^^^^^^^ not found in this scope                                                                                                                                                
14:57.47 error[E0425]: cannot find function `load16_unaligned` in this scope                                                                                                                                        
14:57.47    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:124:31                                                                                                               
14:57.47     |                                                                                                                                                      
14:57.47 124 |         unsafe { to_u16_lanes(load16_unaligned(self.ptr.add(byte_index))) }                                                                                                                          
14:57.47     |                               ^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                               
14:57.47 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.47    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:145:12                                                                                                               
14:57.47     |                                                                                                                                                      
14:57.47 145 |         if SIMD_STRIDE_SIZE / 2 <= self.len {                                                                                                                                                        
14:57.47     |            ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`                                                                                                           
14:57.48 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.48    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:146:47                                                                                                               
14:57.48     |                                                                                                                                                      
14:57.48 146 |             let len_minus_stride = self.len - SIMD_STRIDE_SIZE / 2;                                                                                                                                  
14:57.48     |                                               ^^^^^^^^^^^^^^^^ help: a constant with a sim                                                                                                           ilar name exists: `ALU_STRIDE_SIZE`                                                                                                                                                                                 
14:57.48 error[E0425]: cannot find function `simd_byte_swap` in this scope                                                                                                                                          
14:57.48    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:150:28                                                                                                               
14:57.48     |                                                                                                                                                      
14:57.48 150 |                     simd = simd_byte_swap(simd);                                                                                                                                                     
14:57.48     |                            ^^^^^^^^^^^^^^ not found in this scope                                                                                                                                    
14:57.49 error[E0425]: cannot find function `store8_unaligned` in this scope                                                                                                                                        
14:57.49    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:153:21                                                                                                               
14:57.49     |                                                                                                                                                      
14:57.49 153 |                     store8_unaligned(other.as_mut_ptr().add(offset), simd);                                                                                                                          
14:57.49     |                     ^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                                         
14:57.49 error[E0425]: cannot find function `contains_surrogates` in this scope                                                                                                                                     
14:57.49    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:155:20                                                                                                               
14:57.49     |                                                                                                                                                      
14:57.49 155 |                 if contains_surrogates(simd) {                                                                                                                                                       
14:57.49     |                    ^^^^^^^^^^^^^^^^^^^ not found in this scope                                                                                                                                       
14:57.49 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.49    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:158:27                                                                                                               
14:57.49     |                                                                                                                                                      
14:57.49 158 |                 offset += SIMD_STRIDE_SIZE / 2;                                                                                                                                                      
14:57.49     |                           ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `A                                                                                                           LU_STRIDE_SIZE`                                                                                                                                                         
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.50    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:237:8                                                                                                                
14:57.50     |                                                                                                                                                      
14:57.50 237 |     if SIMD_STRIDE_SIZE <= len {                                                                                                                                                                     
14:57.50     |        ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`                                                                                                               
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope                                                                                                                                           
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:237:8
14:57.50     |
14:57.50 237 |     if SIMD_STRIDE_SIZE <= len {
14:57.50     |        ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:238:38
14:57.50     |
14:57.50 238 |         let len_minus_stride = len - SIMD_STRIDE_SIZE;
14:57.50     |                                      ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.51 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.51    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:241:52
14:57.51     |
14:57.51 241 |             let mut second = src.simd_at(offset + (SIMD_STRIDE_SIZE / 2));
14:57.51     |                                                    ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.51 error[E0425]: cannot find function `simd_byte_swap` in this scope
14:57.51    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:243:25
14:57.51     |
14:57.51 243 |                 first = simd_byte_swap(first);
14:57.51     |                         ^^^^^^^^^^^^^^ not found in this scope
14:57.52 error[E0425]: cannot find function `simd_byte_swap` in this scope
14:57.52    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:244:26
14:57.52     |
14:57.52 244 |                 second = simd_byte_swap(second);
14:57.52     |                          ^^^^^^^^^^^^^^ not found in this scope
14:57.52 error[E0425]: cannot find function `simd_is_basic_latin` in this scope
14:57.52    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:246:17
14:57.52     |
14:57.52 246 |             if !simd_is_basic_latin(first | second) {
14:57.52     |                 ^^^^^^^^^^^^^^^^^^^ help: a function with a similar name exists: `ascii_to_basic_latin`
14:57.52 error[E0425]: cannot find function `simd_pack` in this scope
14:57.52    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:249:26
14:57.52     |
14:57.52 249 |             let packed = simd_pack(first, second);
14:57.52     |                          ^^^^^^^^^ not found in this scope
14:57.53 error[E0425]: cannot find function `store16_unaligned` in this scope
14:57.53    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:251:17
14:57.53     |
14:57.53 251 |                 store16_unaligned(dst.as_mut_ptr().add(offset), packed);
14:57.53     |                 ^^^^^^^^^^^^^^^^^ not found in this scope
14:57.53 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.53    --> /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:253:23
14:57.53     |
14:57.53 253 |             offset += SIMD_STRIDE_SIZE;
14:57.53     |                       ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:59.28 error: aborting due to 25 previous errors
14:59.28 Some errors occurred: E0412, E0425, E0432.
14:59.28 For more information about an error, try `rustc --explain E0412`.
14:59.44 error: Could not compile `encoding_rs`.
3Packages: StableBug ReportVery LowLow[ffmpeg] missing FLAC codecUnconfirmed
0%
Task Description

Playing 10.Motion_Picture_Soundtrack.flac.
Audio only file format detected.
Load subtitles in ./

Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
ADecoder init failed sad
ADecoder init failed sad
Cannot find codec for audio format 0x43614C66.
Audio: no sound
Video: no video

12Packages: Build-listBug ReportMediumLow[python-setuptools] check() fails (due to some mpmath i...New
0%
Task Description

during check():
_ sympy/polys/tests/test_rootoftools.py:test_CRootOf_evalf _

File "/build/python-sympy/src/sympy-sympy-1.1.1-py2/sympy/polys/tests/test_rootoftools.py", line 225, in test_CRootOf_evalf
  a, b = rootof(eq, 1).n(2).as_real_imag()
File "sympy/core/evalf.py", line 1394, in evalf
  result = evalf(self, prec + 4, options)
File "sympy/core/evalf.py", line 1292, in evalf
  xe = x._eval_evalf(prec)
File "sympy/polys/rootoftools.py", line 644, in _eval_evalf
  x0 = mpc(*map(str, interval.center))
File "/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py", line 374, in __new__
  imag = cls.context.mpf(imag)
File "/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py", line 77, in __new__
  v._mpf_ = mpf_pos(cls.mpf_convert_arg(val, prec, rounding), prec, rounding)
File "/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py", line 84, in mpf_convert_arg
  if isinstance(x, basestring): return from_str(x, prec, rounding)
File "/usr/lib/python2.7/site-packages/mpmath/libmp/libmpf.py", line 1300, in from_str
  return from_rational(int(p), int(q), prec, rnd)

ValueError: invalid literal for int() with base 10: ‘-2163048125L’

tests finished: 6841 passed, 185 skipped, 1 exceptions, in 4352.49 seconds

DO *NOT* COMMIT!

test process starts

executable: /usr/bin/python2 (2.7.14-final-0) [CPython]
architecture: 32-bit
cache: yes
ground types: gmpy 2.0.8
hash randomization: on (PYTHONHASHSEED=3003103148)

17Packages: Build-listBug ReportMediumLownvidia and nvidia-lts kernel module build failure on 32...New
0%
Task Description
In file included from ./arch/x86/include/asm/page.h:75:0,
                 from ./arch/x86/include/asm/thread_info.h:11,
                 from ./include/linux/thread_info.h:37,
                 from ./arch/x86/include/asm/preempt.h:6,
                 from ./include/linux/preempt.h:80,
                 from ./include/linux/spinlock.h:50,
                 from /build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/common/inc/nv-lock.h:16,
                 from /build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/common/inc/nv-linux.h:19,
                 from /build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/nvidia/os-interface.c:15:
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/nvidia/os-interface.c: In function 
os_unmap_kernel_numa
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/nvidia/os-interface.c:824:15: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
     NV_KUNMAP((NvU64)addr);
               ^
./include/asm-generic/memory_model.h:32:41: note: in definition of macro 
__pfn_to_page
 #define __pfn_to_page(pfn) (mem_map + ((pfn) - ARCH_PFN_OFFSET))
                                         ^~~
./arch/x86/include/asm/page_32.h:12:25: note: in expansion of macro 
__phys_addr_nodebug
 #define __phys_addr(x)  __phys_addr_nodebug(x)
                         ^~~~~~~~~~~~~~~~~~~
./arch/x86/include/asm/page.h:41:18: note: in expansion of macro 
__phys_addr
 #define __pa(x)  __phys_addr((unsigned long)(x))
                  ^~~~~~~~~~~
./arch/x86/include/asm/page.h:68:41: note: in expansion of macro 
__pa
 #define virt_to_page(kaddr) pfn_to_page(__pa(kaddr) >> PAGE_SHIFT)
                                         ^~~~
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/common/inc/nv-linux.h:740:39: note: in expansion of macro 
virt_to_page
 #define NV_GET_PAGE_STRUCT(phys_page) virt_to_page(__va(phys_page))
                                       ^~~~~~~~~~~~
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/common/inc/nv-linux.h:740:52: note: in expansion of macro 
__va
 #define NV_GET_PAGE_STRUCT(phys_page) virt_to_page(__va(phys_page))
                                                    ^~~~
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/common/inc/nv-linux.h:1945:32: note: in expansion of macro 
NV_GET_PAGE_STRUCT
 #define NV_KUNMAP(phys) kunmap(NV_GET_PAGE_STRUCT((NvU64)phys))
                                ^~~~~~~~~~~~~~~~~~
/build/nvidia/src/NVIDIA-Linux-x86-387.34/kernel/nvidia/os-interface.c:824:5: note: in expansion of macro 
NV_KUNMAP
     NV_KUNMAP((NvU64)addr);
     ^~~~~~~~~
18Packages: Build-listBug ReportMediumLow[android-tools] missing a -latomic when linking adb (an...New
0%
Task Description

Didn’t find the place where to report this upstream!?

20Packages: Build-listBug ReportMediumLow[sagemath-doc] building documentation using Sphinx segf...New
0%
Task Description
[tutorial ] Saved pickle file: citations.pickle
[tutorial ] Exception occurred:
[tutorial ] File "/usr/lib/python2.7/site-packages/sphinx/environment/__init__.py", line 152, in dump
[tutorial ] pickle.dump(env, f, pickle.HIGHEST_PROTOCOL)
[tutorial ] MemoryError
[tutorial ] The full traceback has been saved in /tmp/sphinx-err-kSNZ9A.log, if you want to report the issue to the developers.
[tutorial ] Please also report this if it was a user error, so that a better error message can be provided next time.
[tutorial ] A bug report can be filed in the tracker at . Thanks!
Build finished. The built documents can be found in /build/sagemath-doc/src/sage-8.1/src/doc/html/ja/tutorial
/startdir/PKGBUILD: line 79:  2540 Segmentation fault      (core dumped) python2 sage_setup/docbuild --no-pdf-links -k all html
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /data/archbuild/staging-i686/copy/build
28Packages: Build-listBug ReportMediumLowpostgrest: checks start a Postgresql server and then te...New
0%
Task Description
Starting check()...
WARNING [pifpaf.drivers] `psutil.Popen(pid=2683, status='terminated')` is already gone, sending SIGKILL to its process group
WARNING [pifpaf.drivers] `psutil.Popen(pid=2671, status='terminated')` is already gone, sending SIGKILL to its process group
WARNING [pifpaf.drivers] `psutil.Popen(pid=2669, status='terminated')` is already gone, sending SIGKILL to its process group
ERROR [pifpaf] Error while running command: [b'/usr/bin/pg_ctl', '-w', '-o', '-k /tmp/tmp5_5e9_hy -p 5432 -h "127.0.0.1"', 'start']                                                                                
createdb: could not connect to database template1: could not connect to server: No such file or directory         
Is the server running locally and accepting                                                               
connections on Unix domain socket "/run/postgresql/.s.PGSQL.5432"? ERROR: A failure occurred in check().                                                                    
Aborting...                                           
ERROR: Build failed, check /data/archbuild/staging-i686/arch32/build                       

Disabling tests for now.

29Packages: Build-listBug ReportMediumLow[haskell-hslua] check() failsNew
0%
Task Description

several failures during check() - disabling for now

==> Starting check()...
Running 1 test suites...
Test suite test-hslua: RUNNING...
hslua

Haskell version of the C API
  copy
    copies stack elements using positive indices:               OK
    copies stack elements using negative indices:               OK
  insert
    inserts stack elements using negative indices:              OK
    inserts stack elements using negative indices:              OK
  absindex:                                                     OK
  gettable gets a table value:                                  FAIL
    test/Test/HsLua/Util.hs:35:
    lua operation returned false
  strlen, objlen, and rawlen all behave the same:               OK
  Type checking
    isfunction:                                                 OK
    isnil:                                                      OK
    isnone:                                                     OK
    isnoneornil:                                                OK
  CFunction handling:                                           OK
  getting values
    tointegerx returns numbers verbatim:                        OK
    tointegerx accepts strings coercible to integers:           OK
    tointegerx returns Nothing when given a boolean:            OK
    tonumberx returns numbers verbatim:                         OK
    tonumberx accepts strings as numbers:                       OK
    tonumberx returns Nothing when given a boolean:             OK
  setting and getting a global works:                           OK
  can push and receive a thread:                                OK
  different threads are not equal:                              OK
  thread status:                                                OK
  loading
    loadstring status:                                          OK
    dostring loading:                                           OK
    dofile loading:                                             OK
  pcall status:                                                 OK
  garbage collection:                                           OK
  compare
    identifies strictly smaller values:                         FAIL
      *** Failed! Assertion failed (after 1 test): 
      LuaInteger 0
      Use --quickcheck-replay=586817 to reproduce.
    identifies smaller or equal values:                         FAIL
      *** Failed! Assertion failed (after 1 test): 
      LuaInteger 0
      Use --quickcheck-replay=316579 to reproduce.
    identifies equal values:                                    OK
      +++ OK, passed 100 tests.
  lessthan works:                                               FAIL
    *** Failed! Assertion failed (after 2 tests): 
    LuaNumber (-0.35170612)
    LuaNumber 0.84471506
    Use --quickcheck-replay=507888 to reproduce.
  order of Lua types is consistent:                             OK
    +++ OK, passed 100 tests.
  functions can throw a table as error message:                 OK
  handling table errors won't leak:                             OK
Interoperability
  call haskell functions from lua
    push haskell function to lua:                               OK
    push multi-argument haskell function to lua:                OK
    argument type errors are propagated:                        OK
    convert haskell function to c function:                     OK
    Error in Haskell function is converted into Lua error:      OK
  call lua function from haskell
    test equality within lua:                                   FAIL
      test/Foreign/Lua/FunctionCallingTest.hs:106:
      raw equality test failed
      expected: True
       but got: False
    failing lua function call:                                  OK
    print the empty string via lua procedure:                   

OK

    failing lua procedure call:                                 OK
Utilities
  Optional return the value if it exists:                       OK
  Optional can deal with missing values:                        OK
  raiseError causes a Lua error:                                OK
Sendings and receiving values from the stack
  peek and push are well behaved
    Peek can act as left inverse of push
      round-tripping unit:                                      OK
        +++ OK, passed 100 tests.
      booleans remain equal under push/peek:                    OK
        +++ OK, passed 100 tests.
      lua numbers (i.e., doubles) remain equal under push/peek: FAIL
        *** Failed! Assertion failed (after 2 tests): 
        LuaNumber (-1.926296)
        Use --quickcheck-replay=670723 to reproduce.
      lua integers remain equal under push/peek:                IGNORED
      bytestring remain equal under push/peek:                  OK
        +++ OK, passed 100 tests.
      round-tripping strings:                                   OK (0.01s)
        +++ OK, passed 100 tests.
      lists of boolean remain equal under push/peeks:           OK
        +++ OK, passed 100 tests.
      lists of lua integers remain equal under push/peek:       IGNORED
      lists of bytestrings remain equal under push/peek:        OK (0.15s)
        +++ OK, passed 100 tests.
      text:                                                     OK
        +++ OK, passed 100 tests.
      map of strings to LuaNumber:                              FAIL
        *** Failed! Assertion failed (after 2 tests and 1 shrink): 
        fromList [("",LuaNumber (-0.9010369))]
        Use --quickcheck-replay=119067 to reproduce.
      tuples
        pair of LuaNumbers:                                     FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber (-0.34098855),LuaNumber 0.2441068)
          Use --quickcheck-replay=296075 to reproduce.
        triple of LuaNumbers:                                   FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 0.46677026,LuaNumber 0.9009714,LuaNumber 0.2326173)
          Use --quickcheck-replay=85608 to reproduce.
        quadruple of LuaNumbers:                                FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 1.8909019,LuaNumber (-0.85486156),LuaNumber (-4.0685906),LuaNumber (-12.583851))
          Use --quickcheck-replay=305430 to reproduce.
        quintuple of LuaNumbers:                                FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 0.2735047,LuaNumber 2.1247218,LuaNumber 0.1806469,LuaNumber 0.9455812,LuaNumber 0.98733383)
          Use --quickcheck-replay=608867 to reproduce.
        hextuple of Text, LuaNumbers and Booleans:              FAIL
          *** Failed! Assertion failed (after 2 tests and 1 shrink): 
          (False,LuaNumber (-2.381176),"",False,LuaNumber (-0.8418731),LuaNumber (-0.39977068))
          Use --quickcheck-replay=572229 to reproduce.
        septuple of Text, LuaNumber and Booleans:               FAIL
          *** Failed! Assertion failed (after 2 tests and 3 shrinks): 
          ("",False,LuaNumber 1.3463217,False,False,LuaNumber (-1.4167022),False)
          Use --quickcheck-replay=692263 to reproduce.
        octuple of Strings and Booleans:                        OK (0.03s)
          +++ OK, passed 100 tests.
    Random stack values
      can push/pop booleans:                                    OK (0.01s)
        +++ OK, passed 100 tests.
      can push/pop lua integers:                                OK (0.01s)
        +++ OK, passed 100 tests.
      can push/pop lua numbers:                                 FAIL
        *** Failed! Assertion failed (after 3 tests): 
        LuaNumber 1.5588847
        Ordered {getOrdered = [Positive {getPositive = LuaInteger 1},Positive {getPositive = LuaInteger 2}]}
        Use --quickcheck-replay=197445 to reproduce.
      can push/pop bytestrings:                                 OK (0.02s)
        +++ OK, passed 100 tests.
      can push/pop lists of booleans:                           OK (0.04s)
        +++ OK, passed 100 tests.
      can push/pop lists of LuaIntegers:                        OK (0.04s)
        +++ OK, passed 100 tests.
      can push/pop lists of bytestrings:                        OK (0.19s)
        +++ OK, passed 100 tests.
  FromLuaStack
    receives basic values from the stack:                       OK
    returns an error if the types don't match:                  OK
    list cannot be read if a list element fails:                OK
    stack is unchanged if getting a list fails:                 OK
    stack is unchanged if getting key-value pairs fails:        OK
  ToLuaStack
    pushing simple values to the stack
      Boolean can be pushed correctly:                          OK
      LuaNumbers can be pushed correctly:                       FAIL
        test/Foreign/Lua/Types/ToLuaStackTest.hs:105:
        5::LuaNumber was not pushed
      LuaIntegers can be pushed correctly:                      FAIL
        test/Foreign/Lua/Types/ToLuaStackTest.hs:105:
        42::LuaInteger was not pushed
      ByteStrings can be pushed correctly:                      OK
      Unit is pushed as nil:                                    OK
      Pointer is pushed as light userdata:                      OK
    pushing a value increases stack size by one
      LuaInteger:                                               OK
        +++ OK, passed 100 tests.
      LuaNumber:                                                OK
        +++ OK, passed 100 tests.
      ByteString:                                               OK
        +++ OK, passed 100 tests.
      String:                                                   OK
        +++ OK, passed 100 tests.
      list of booleans:                                         OK
        +++ OK, passed 100 tests.
lua integration tests
  print version:                                                OK
  functions stored in / retrieved from registry:                OK
  getting a nested global works:                                OK
  setting a nested global works:                                OK
  table reading:                                                OK
  Getting strings to and from the stack
    unicode ByteString:                                         OK
    ByteString should survive after GC/Lua destroyed:           OK
    String with NUL byte should be pushed/popped correctly:     OK
  luaopen_* functions
    opendebug:                                                  OK
    openio:                                                     OK
    openmath:                                                   OK
    openos:                                                     OK
    openpackage:                                                OK
    openstring:                                                 OK
    opentable:                                                  OK
  luaopen_base returns the right number of tables
    openbase:                                                   OK
  C functions
    Registering a C function and calling it from Lua:           FAIL
      test/Foreign/LuaTest.hs:162:
      greeting function failed
      expected: Right ["Caffeine","induced","nonsense"]
       but got: Right []
    pushing a C closure to and calling it from Lua:             OK
  error handling
    lua errors are caught:                                      OK
    error-less code gives in 'Right' result:                    OK
    catching lua errors within the lua type:                    OK
    second alternative is used when first fails:                OK
    Applicative.empty implementation throws an exception:       OK
    catching error of a failing meta method:                    OK
    calling a function that errors throws exception:            OK

17 out of 112 tests failed (0.60s)
Test suite test-hslua: FAIL
Test suite logged to: dist/test/hslua-0.9.5-test-hslua.log
0 of 1 test suites (0 of 1 test cases) passed.
==> ERROR: A failure occurred in check().

36Packages: TestingBug ReportMediumLowtexlive-core: SSE2 requiredNew
0%
Task Description
(4/5) Updating TeXLive format files...
PANIC: unprotected error in call to Lua API (CPU with SSE2 required)
fmtutil [ERROR]: running `luajittex -ini   -jobname=luajittex -progname=luajittex luatex.ini /null' return status 1
fmtutil [ERROR]: return error due to options --strict
error: command failed to execute correctly
(5/5) Updating TeXLive font maps...

So, the problem seems to be in lua itself?

39Packages: TestingBug ReportMediumLowxorg modesetting module fails with illegal instructionNew
0%
Task Description
[    22.717] (EE) Illegal instruction at address 0xb632cd37
[    22.718] (EE) 
Fatal server error:
[    22.718] (EE) Caught signal 4 (Illegal instruction). Server aborting
[    22.719] (EE) 


                 PID: 242 (Xorg)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 6 (ABRT)
     Timestamp: Wed 2018-06-13 20:53:43 CEST (41s ago)
  Command Line: /usr/lib/Xorg :0
    Executable: /usr/lib/Xorg
 Control Group: /user.slice/user-0.slice/session-c1.scope
          Unit: session-c1.scope
         Slice: user-0.slice
       Session: c1
     Owner UID: 0 (root)
       Boot ID: ea12301d13874fac8112dad7bf566bdb
    Machine ID: 2f98089cbe8d40cb8776a580d6803b58
      Hostname: arch32-staging
       Storage: /var/lib/systemd/coredump/core.Xorg.0.ea12301d13874fac8112dad7bf566bdb.242.1528916023000>
       Message: Process 242 (Xorg) of user 0 dumped core.
                
                Stack trace of thread 242:
                #0  0x00000000b7f58d21 __kernel_vsyscall (linux-gate.so.1)
                #1  0x00000000b7d749c2 raise (libc.so.6)
                #2  0x00000000b7d5e71e abort (libc.so.6)
                #3  0x000000000056b555 OsAbort (Xorg)
                #4  0x000000000056b5d2 FatalError (Xorg)
                #5  0x000000000060a93a n/a (Xorg)
                #6  0x00000000b7f58d38 __kernel_rt_sigreturn (linux-gate.so.1)
                #7  0x00000000b632cd37 n/a (kms_swrast_dri.so)
                #8  0x00000000b5f0181f n/a (kms_swrast_dri.so)
                #9  0x00000000b7f698b3 call_init.part.0 (ld-linux.so.2)
                #10 0x00000000b7f699b2 _dl_init (ld-linux.so.2)
                #11 0x00000000b7f6d7e0 dl_open_worker (ld-linux.so.2)
                #12 0x00000000b7e7bc91 _dl_catch_exception (libc.so.6)
                #13 0x00000000b7f6d077 _dl_open (ld-linux.so.2)
                #14 0x00000000b7b8cb73 n/a (libdl.so.2)
                #15 0x00000000b7e7bc91 _dl_catch_exception (libc.so.6)
                #16 0x00000000b7e7bd40 _dl_catch_error (libc.so.6)
                #17 0x00000000b7b8d333 n/a (libdl.so.2)
                #18 0x00000000b7b8cc16 dlopen (libdl.so.2)
                #19 0x00000000b7f2eb6e n/a (libgbm.so.1)
                #20 0x00000000b7f2ecb3 n/a (libgbm.so.1)
                #21 0x00000000b7f2ee24 n/a (libgbm.so.1)
                #22 0x00000000b7f2f0d7 n/a (libgbm.so.1)
                #23 0x00000000b7f2c9ba gbm_create_device (libgbm.so.1)
                #24 0x00000000b6ef4ee4 glamor_egl_init (libglamoregl.so)
                #25 0x00000000b7f49b4a n/a (modesetting_drv.so)
                #26 0x000000000051c169 InitOutput (Xorg)
                #27 0x000000000049d8e1 n/a (Xorg)
                #28 0x00000000b7d60041 __libc_start_main (libc.so.6)
                #29 0x000000000049e7e2 _start (Xorg)
42PackagesBug ReportVery LowLow[xorg-server] 1.20 / [xf86-video-intel] gives me proble...Unconfirmed
0%
Task Description

The following update gives me problems with [tigervnc]’s vncviewer:

extra/xf86-video-intel    1:2.99.917+829+gd7dfab62-1.0 -> 1:2.99.917+831+ge7bfc906-1.0
extra/xorg-server         1.19.6+13+gd0d1a694f-2.1     -> 1.20.0-5.0  
extra/xorg-server-common  1.19.6+13+gd0d1a694f-2.1     -> 1.20.0-5.0

With the update, vncviewer takes a large amount of CPU, and locks up, showing a fullscreen of a solid color; hitting F8 (the menu key) opens a solid rectangle where the menu should be, but the menu never renders.

I have confirmed on an x86_64 box that the x86_64 version of xorg-server 1.20 works fine, but it is not using Intel graphics. So I’m unsure if the problem is with xf86-video-intel, or if it’s an i686-specific problem in xorg-server.

43Packages: Build-listBug ReportMediumLowqt5-webengine, firefox, firefox-developer-edition use t...New
0%
Task Description
In file included from gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom-shared.h:24,
                 from gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom.h:37,
                 from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/frame_host/render_frame_host_impl.h:66,
                 from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/frame_host/frame_tree_node.h:18,
                 from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/devtools/browser_devtools_agent_host.cc:21:
gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom-shared-internal.h:139:35: warning: alignment 1 of ‘blink::mojom::internal::PresentationConnectionMessage_Data’ is less than 8 [-Wpacked-not-aligned]
 class MOJOM_SHARED_CONTENT_EXPORT PresentationConnectionMessage_Data {
                                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
virtual memory exhausted: Cannot allocate memory
ninja: build stopped: subcommand failed.

Also in firefox:

91:37.06 ../../build/unix/gold/ld: fatal error: libxul.so: mmap: failed to allocate 1703955732 bytes for output file: Cannot allocate memory
91:37.06 collect2: error: ld returned 1 exit status
91:37.06 make[4]: *** [/build/firefox/src/mozilla-unified/config/rules.mk:701: libxul.so] Error 1
91:37.06 make[3]: *** [/build/firefox/src/mozilla-unified/config/recurse.mk:73: toolkit/library/target] Error 2
91:37.06 make[2]: *** [/build/firefox/src/mozilla-unified/config/recurse.mk:33: compile] Error 2
91:37.06 make[1]: *** [/build/firefox/src/mozilla-unified/config/rules.mk:434: default] Error 2
91:37.06 make: *** [client.mk:168: build] Error 2
46Packages: Build-listBug ReportMediumLowelectron - pic issuesNew
0%
Task Description

/usr/bin/clang++ -Wl,-O1,–sort-common,–as-needed,-z,relro,-z,now -Wl,-z,noexecstack -Wl,-rpath=\$ORIGIN -rdynamic -Wl,–export-dynamic -pthread -Wl,–no-keep-memory –sysroot=/ -Lusr/lib/libfakeroot -Wl,-rpath-link=usr/lib/libfakeroot -m32 -Wl,-z,noexecstack -Wl,-O1 -Wl,–as-needed -Wl,–gc-sections -flto=thin -fuse-ld=lld -Wl,–icf=all -Wl,–lto-O0 -Wl,-mllvm,-function-sections -Wl,-mllvm,-data-sections -Wl,-rpath-link=lib/ -o electron -Wl,–start-group obj/atom/app/electron.atom_main.o obj/libelectron_lib.a obj/brightray/libbrightray.a obj/vendor/breakpad/libbreakpad_client.a -Wl,–end-group lib/libnode.so -Wl,–start-group /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libangle.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libbase.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libcc.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libcomponents.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libmedia.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libnet.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libpdfium.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libppapi.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libservices.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libskia.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkit.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitbindings.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitcore.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitmodules.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebrtc.a -Wl,–end-group -lpthread -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lfribidi -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -ldbus-1 -lX11-xcb -lxcb -lXi -lXcursor -lXdamage -lXrandr -lXcomposite -lXext -lXfixes -lXrender -lX11 -lXtst -lXss -lgconf-2 -lgmodule-2.0 -lglib-2.0 -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lasound -lcap -lcups -lrt -ldl -lresolv -lfontconfig -lexpat -lavcodec -lavformat -lavutil -levent -lFLAC -lharfbuzz-icu -lharfbuzz -ljsoncpp -lminizip -lpulse -lvpx -lwebpdemux -lwebpmux -lwebp -lxslt -lm -lxml2 -lz -ljpeg -lre2 -lsnappy -latomic
/usr/bin/ld.lld: error: can’t create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC
>>> defined in /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a(dct.o)
>>> referenced by ../../third_party/openh264/src/codec/common/x86/dct.asm
>>> dct.o:(.text+0×337) in archive /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a

I doubt, that this file gets compiled at all - the only occurences upto the above are:
[29/30] AR obj/chromiumcontent/libchromiumcontent.a
and
[34/16236] COPY /build/electron/src/electron/vendor/libchromiumcontent/src/out-ia32/static_library/obj/chromiumcontent/libchromiumcontent.a

52PackagesBug ReportVery LowLowSome packages are built by "Unknown Packager"Unconfirmed
0%
Task Description

Some packages have

packager = Unknown Packager

, which is caused by

makepkg.conf:PACKAGER

not being set.

I analyzed every .pkg.tar.xz file in the Arch 32 repos (all architectures). The earliest Unknown Packager package was built on June 9, 2017, and they’ve been intermittent since then. Here’s a listing of how many times each packager appears:

      2  Dave Reisner 
      2  Fabio Castelli (Muflone) 
      2  Giancarlo Razzolini 
      2  Jelle van der Waa 
      2  Laurent Carlier 
      2  S?bastien Luttringer 
      2  schuay 
      3  Florian Pritz 
      3  Johannes L?thberg 
      4  Alexander R?dseth 
      4  Andreas Radke 
      4  Eli Schwartz 
      4  Tobias Powalowski 
      5  Gaetan Bisson 
      5  Jonathan Steel 
      6  Bart?omiej Piotrowski 
      6  Erich Eckner 
      7  Kyle Keen 
      8  Evangelos Foutras 
      8  Maxime Gauduin 
      9  Jaroslav Lichtblau 
      9  Lukas Fleischer 
     18  BlackEagle 
     21  Sergej Pupykin 
     22  Guillaume ALAUX 
     29  Sven-Hendrik Haase 
     32  Levente Polyak 
     35  Jan Alexander Steffens (heftig) 
     39  Felix Yan 
     43  Jan de Groot 
     44  Andreas Baumann 
     75  Ball? Gy?rgy 
     81  Antonio Rojas 
   6592  Unknown Packager
  20577  Erich Eckner 
  ------------------------------------------------------------------
  27707  total

This causes a problem for us in Parabola, because we just started applying the usual upload checks from

db-update

to packages that we import.

53PackagesBug ReportVery LowLow[gnome-terminal]: fails to startUnconfirmed
0%
Task Description

using openbox (not gnome)

$ gnome-terminal 
# Couldn't register with accessibility bus: Did not receive a reply.
Possible causes include: the remote application did not send a reply,
the message bus security policy blocked the reply, the reply timeout expired,
 or the network connection was broken.
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0:
Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached
54Packages: StableBug ReportVery LowLow[pam] links against libaudit, but doesn't declare a dep...Unconfirmed
0%
Task Description

Both core/pam 1.3.1-1.2 and staging/pam 1.3.1-1.3 have their libpam.so link against libaudit:

$ readelf --dynamic /usr/lib/libpam.so.0.84.2 

Dynamic section at offset 0xfdbc contains 27 entries:
  Tag        Type                         Name/Value
 0x00000001 (NEEDED)                     Shared library: [libaudit.so.1]
…

However, the package does not declare depends=(audit) (’audit’ is the package that contains libaudit.so).

This is normally a fairly invisible mistake because recent versions of systemd depend on audit, so systemd-users (i.e. most users) will have audit installed anyway.

This affects `su` (of util-linux) and `sudo` (of sudo), which both link against libpam.

62Packages: TestingBug ReportMediumLowsddm-greeter abortsNew
0%
Task Description
(gdb) bt
#0  0xb7fbea41 in __kernel_vsyscall ()
#1  0xb6418746 in raise () from /usr/lib/libc.so.6
#2  0xb64021e3 in abort () from /usr/lib/libc.so.6
#3  0xb6793775 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/libQt5Core.so.5
#4  0xb74da6fc in QV4::Compiler::Codegen::visit(QQmlJS::AST::UiProgram*) () from /usr/lib/libQt5Qml.so.5
#5  0xb756f446 in QJSEngine::QJSEngine(QJSEnginePrivate&, QObject*) () from /usr/lib/libQt5Qml.so.5
#6  0xb76afe1d in QQmlEngine::QQmlEngine(QObject*) () from /usr/lib/libQt5Qml.so.5
#7  0xb7cf93bb in QQuickViewPrivate::init(QQmlEngine*) () from /usr/lib/libQt5Quick.so.5
#8  0x0050c571 in SDDM::GreeterApp::addViewForScreen(QScreen*) ()
#9  0x0050d1a4 in SDDM::GreeterApp::startup() ()
#10 0xb69a6a4e in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#11 0xb697a565 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#12 0xb697d8c6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib/libQt5Core.so.5
#13 0xb697dcd9 in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQt5Core.so.5
#14 0xb69d4f74 in ?? () from /usr/lib/libQt5Core.so.5
#15 0xb55bca1e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0xb55beafa in ?? () from /usr/lib/libglib-2.0.so.0
#17 0xb55beb46 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#18 0xb69d44bb in QEventDispatcherGlib::processEvents(QFlags) ()
--Type  for more, q to quit, c to continue without paging--
   from /usr/lib/libQt5Core.so.5
#19 0xb6978ff6 in QEventLoop::exec(QFlags) () from /usr/lib/libQt5Core.so.5
#20 0xb698188b in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#21 0x004ed3d0 in main ()

There seems to be a problem around Javascript and Qt5

63Packages: StableBug ReportMediumLownodejs crashes in libuv when cleaning up FSReqCallbackNew
0%
Task Description
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00945919 in node::fs::FSReqCallback::~FSReqCallback() ()
[Current thread is 1 (Thread 0xb5614880 (LWP 2013))]
(gdb) bt
#0  0x00945919 in node::fs::FSReqCallback::~FSReqCallback() ()
#1  0x00937274 in node::fs::FSReqAfterScope::~FSReqAfterScope() ()
#2  0x0093767d in node::fs::AfterInteger(uv_fs_s*) ()
#3  0xb7e910e0 in uv.work_done () from /usr/lib/libuv.so.1
#4  0xb7e9526e in ?? () from /usr/lib/libuv.so.1
#5  0xb7ea51f8 in uv.io_poll () from /usr/lib/libuv.so.1
#6  0xb7e95c51 in uv_run () from /usr/lib/libuv.so.1
#7  0x00905d37 in node::Start(v8::Isolate*, node::IsolateData*, std::vector, std::allocator >, std::allocator, std::allocator > > > const&, std::vector, std::allocator >, std::allocator, std::allocator > > > const&) ()
#8  0x00903655 in node::Start(int, char**) ()
#9  0x008acef1 in main ()

This affects gyp, vault and probably some other packages, depending whether those callbacks are used or not.

64Packages: StableBug ReportVery LowLow[wireguard] wireguard-arch-0.0.20190227-3.0-i686 does n...Unconfirmed
0%
Task Description

running `modprobe wireguard` yields `modprobe: ERROR: could not insert ‘wireguard’: Exec format error`

65Packages: StableBug ReportVery LowLow[qt5-styleplugins] incompatile QT versionUnconfirmed
0%
Task Description

i can not get any QT program to start while that is installed - they complain about mixed QT versions

it looks like qt5-styleplugins was built with the [testing] repo enabled, with qt5-base-5.12.2, while other QT-base programs were built against qt5-base-5.12.1

66Packages: StableBug ReportMediumLowclang is broken due to library dependenciesNew
0%
Task Description

clang
clang: error while loading shared libraries: libLLVM-7.so: cannot open shared object file: No such file or directory

67Packages: TestingBug ReportMediumLowldc segfaultNew
0%
Task Description
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb30d3329 in getenv () from /usr/lib/libc.so.6
(gdb) bt
#0  0xb30d3329 in getenv () from /usr/lib/libc.so.6
#1  0xb3c0b960 in llvm::sys::findProgramByName[abi:cxx11](llvm::StringRef, llvm::ArrayRef) () from /usr/lib/libLLVM-8.so
#2  0xb3c10cee in ?? () from /usr/lib/libLLVM-8.so
#3  0xb3c125c4 in llvm::sys::PrintStackTrace(llvm::raw_ostream&) () from /usr/lib/libLLVM-8.so
#4  0xb3c103b1 in llvm::sys::RunSignalHandlers() () from /usr/lib/libLLVM-8.so
#5  0xb3c1052e in ?? () from /usr/lib/libLLVM-8.so
#6  
#7  0xb30d3329 in getenv () from /usr/lib/libc.so.6
#8  0x00a7493c in printVersion(llvm::raw_ostream&) ()
#9  0xb3b3bb88 in ?? () from /usr/lib/libLLVM-8.so
#10 0xb3b3ac4a in llvm::cl::Option::addOccurrence(unsigned int, llvm::StringRef, llvm::StringRef, bool)
    () from /usr/lib/libLLVM-8.so
#11 0xb3b398f0 in ?? () from /usr/lib/libLLVM-8.so
#12 0xb3b3aa57 in ?? () from /usr/lib/libLLVM-8.so
#13 0xb3b44a49 in llvm::cl::ParseCommandLineOptions(int, char const* const*, llvm::StringRef, llvm::raw_ostream*, char const*) () from /usr/lib/libLLVM-8.so
#14 0x00a76574 in cppmain(int, char**) ()
--Type  for more, q to quit, c to continue without paging--
#15 0x0091e32f in D main ()
68Packages: Build-listBug ReportMediumLowdmd rebuild results in gen_man segfaultNew
0%
Task Description
make: Entering directory '/build/dmd/src/dmd/docs'
/build/dmd/src/dmd/generated/linux/release/*/dmd -I../src -of../generated/linux/release/32/gen_man gen_man.d ../src/dmd/cli.d
../generated/linux/release/32/gen_man > ../generated/docs/man/man1/dmd.1
/bin/sh: line 1:  3082 Segmentation fault      (core dumped) ../generated/linux/release/32/gen_man > ../generated/docs/man/man1/dmd.1
make: *** [Makefile:34: ../generated/docs/man/man1/dmd.1] Error 139
make: Leaving directory '/build/dmd/src/dmd/docs'
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /var/lib/archbuild/staging-with-build-support-pentium4/slave/build
70Packages: Build-listBug ReportMediumLowchromium needs SSE2New
0%
Task Description

chromium starts, but every page it loads ends in “Aw snap” and on the console:

Check failed: cpu.has_sse2().

71Packages: Build-listBug ReportMediumLowrust doesn't rebuildNew
0%
Task Description

We need llvm 7.0 instead of 7.1.
If we muss a llvm update, bootstrapping rust fails (due to a to old libLLVM.so).
defined multiple times

  1. -> /build/rust/src/rustc-1.34.1-src/build/i686-unknown-linux-gnu/stage2-tools/i686-unknown-linux-gnu/release/build/typenum-02dad87448159bce/out/consts.rs:2112:5

|
2110 | pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;

   |     ------------------------------------------------------------------------------------------------------------------------------------- previous definition of the type `U1024` here

2111 | pub type P1024 = PInt; pub type N1024 = NInt;
2112 | pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;

   |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ `U1024` redefined here

https://github.com/paholg/typenum/commit/14a3322d1081fd63d5eb44bf8ab8f90676208228

Can anobody tell me, how we apply patches to downloaded artifacts while building?!

73Packages: StableBug ReportVery LowLow[gajim] fails to launch when (optional) gupnp-igd is in...Unconfirmed
0%
Task Description
$ gajim
No translations found
Dirs searched: [PosixPath('/usr/local/share'), PosixPath('/usr/share'), PosixPath('/usr/share/gdm'), PosixPath('/var/lib/menu-xdg')]

(gajim:1588): dbind-WARNING **: 15:14:29.481: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Nv1LTXmb8O: Connection refused

** (gajim:1588): WARNING **: 15:14:29.534: Failed to load shared library 'libgupnp-igd-1.0.so.4' referenced by the typelib: libgupnp-1.2.so.0: cannot open shared object file: No such file or directory
/usr/lib/python3.7/site-packages/gajim/common/app.py:281: Warning: cannot retrieve class for invalid (unclassed) type 'void'
  gupnp_igd = GUPnPIgd.SimpleIgd()
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/gajim/application.py", line 185, in _startup
    app.detect_dependencies()
  File "/usr/lib/python3.7/site-packages/gajim/common/app.py", line 281, in detect_dependencies
    gupnp_igd = GUPnPIgd.SimpleIgd()
TypeError: could not get a reference to type class
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/gajim/application.py", line 220, in _activate
    self.interface = Interface()
  File "/usr/lib/python3.7/site-packages/gajim/gui_interface.py", line 2615, in __init__
    cfg_was_read = parser.read()
  File "/usr/lib/python3.7/site-packages/gajim/common/optparser.py", line 86, in read
    self.update_config(old_version, new_version)
  File "/usr/lib/python3.7/site-packages/gajim/common/optparser.py", line 158, in update_config
    caps_cache.capscache.initialize_from_db()
AttributeError: 'NoneType' object has no attribute 'initialize_from_db'
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/gajim/application.py", line 269, in do_shutdown
    app.logger.commit()
AttributeError: 'NoneType' object has no attribute 'commit'
74Packages: StableBug ReportMediumLowwebkit2gtk requires SSE2New
0%
Task Description

– Performing Test HAVE_SSE2_EXTENSIONS
– Performing Test HAVE_SSE2_EXTENSIONS - Failed
CMake Error at CMakeLists.txt:115 (message):

SSE2 support is required to compile WebKit

not quite clear yet, what happens, if it gets disabled forcefully..

76Packages: StableBug ReportVery LowLowlibreoffice-fresh needs to be rebuild against icuUnconfirmed
0%
Task Description

no task description

77PackagesBug ReportMediumLowlibrsvg doesn't rebuildNew
0%
Task Description
    --> /build/librsvg/src/librsvg/target/release/build/typenum-ff577e94a786118f/out/consts.rs:2113:5
     |
2111 |     pub type P1024 = PInt; pub type N1024 = NInt;
     |     ----------------------------- previous definition of the type `P1024` here
2112 |     pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
2113 |     pub type P1024 = PInt; pub type N1024 = NInt;
     |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ `P1024` redefined here
     |
     = note: `P1024` must be defined only once in the type namespace of this module

error[E0428]: the name `N1024` is defined multiple times
    --> /build/librsvg/src/librsvg/target/release/build/typenum-ff577e94a786118f/out/consts.rs:2113:35
     |
2111 |     pub type P1024 = PInt; pub type N1024 = NInt;
     |                                   ----------------------------- previous definition of the type `N1024` here
2112 |     pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
2113 |     pub type P1024 = PInt; pub type N1024 = NInt;
     |                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ `N1024` redefined here
     |
     = note: `N1024` must be defined only once in the type namespace of this module

error: aborting due to 3 previous errors

For more information about this error, try `rustc --explain E0428`.
error: Could not compile `typenum`.

Caused by:
  process didn't exit successfully: `rustc --crate-name typenum /build/.cargo/registry/src/github.com-1ecc6299db9ec823/typenum-1.10.0/src/lib.rs --color never --crate-type lib --emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=045a2ce7f5cfaab5 -C extra-filename=-045a2ce7f5cfaab5 --out-dir /build/librsvg/src/librsvg/target/release/deps -L dependency=/build/librsvg/src/librsvg/target/release/deps --cap-lints allow -C target-cpu=pentium3 -C target-feature=-sse2` (exit code: 1)
warning: build failed, waiting for other jobs to finish...
error: build failed
make[2]: *** [Makefile:1934: /build/librsvg/src/librsvg/target/release/librsvg_internals.a] Error 101
make[2]: Leaving directory '/build/librsvg/src/librsvg'
make[1]: *** [Makefile:1438: all-recursive] Error 1
make[1]: Leaving directory '/build/librsvg/src/librsvg'
make: *** [Makefile:931: all] Error 2

The same error with typenum as when bootstrapping rust in stage 2.

librsvg is very important as it blocks tons of other stuff (so why
again was it written in Rust?!)

I might have seen a Debian patch for it, but Debian goes a “complete
Rust micro-packaging” way, not sure whether we can apply it here?

80Packages: Build-listBug ReportMediumLowkate refuses to build due to some broken shared library...New
0%
Task Description
/usr/bin/ld: warning: libgit2.so.27, needed by /usr/lib/libKF5TextEditor.so.5.59.0, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_blob_lookup'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_repository_open_ext'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_oid_fromstr'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_blob_free'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_libgit2_shutdown'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_repository_free'
/usr/bin/ld: /usr/lib/libKF5TextEditor.so.5.59.0: undefined reference to `git_libgit2_init'
collect2: error: ld returned 1 exit status
81Packages: StableBug ReportMediumLowKDE/Plasma crashes on startup (i686)New
0%
Task Description
Application: ksplashqml (ksplashqml), signal: Aborted
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb21d5900 (LWP 427))]

Thread 3 (Thread 0xaa75cb40 (LWP 429)):
#0  0xb4b95418 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0xb4b959f7 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb4b95be6 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0xb6e75ce5 in QEventDispatcherGlib::processEvents(QFlags) () from /usr/lib/libQt5Core.so.5
#4  0xb6e18ef5 in QEventLoop::exec(QFlags) () from /usr/lib/libQt5Core.so.5
#5  0xb6c5fe1a in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0xb66317c3 in ?? () from /usr/lib/libQt5Qml.so.5
#7  0xb6c611cc in ?? () from /usr/lib/libQt5Core.so.5
#8  0xb5e34018 in start_thread () from /usr/lib/libpthread.so.0
#9  0xb697c25a in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0xb1a18b40 (LWP 428)):
#0  0xb7f6a82d in __kernel_vsyscall ()
#1  0xb6972873 in poll () from /usr/lib/libc.so.6
#2  0xb550c6ce in ?? () from /usr/lib/libxcb.so.1
#3  0xb550e864 in xcb_wait_for_event () from /usr/lib/libxcb.so.1
#4  0xb1bad3da in ?? () from /usr/lib/libQt5XcbQpa.so.5
#5  0xb6c611cc in ?? () from /usr/lib/libQt5Core.so.5
#6  0xb5e34018 in start_thread () from /usr/lib/libpthread.so.0
#7  0xb697c25a in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0xb21d5900 (LWP 427)):
[KCrash Handler]
#6  0xb7f6a82d in __kernel_vsyscall ()
#7  0xb68c4376 in raise () from /usr/lib/libc.so.6
#8  0xb68ae299 in abort () from /usr/lib/libc.so.6
#9  0xb6c1f873 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/libQt5Core.so.5
#10 0xb6387c44 in QV4::Compiler::Codegen::visit(QQmlJS::AST::UiProgram*) () from /usr/lib/libQt5Qml.so.5
#11 0xb64298d6 in QJSEngine::QJSEngine(QJSEnginePrivate&, QObject*) () from /usr/lib/libQt5Qml.so.5
#12 0xb6575fcd in QQmlEngine::QQmlEngine(QObject*) () from /usr/lib/libQt5Qml.so.5
#13 0xb6888bc4 in KDeclarative::QmlObjectSharedEngine::QmlObjectSharedEngine(QObject*) () from /usr/lib/libKF5Declarative.so.5
#14 0xb7f0fb00 in KQuickAddons::QuickViewSharedEngine::QuickViewSharedEngine(QWindow*) () from /usr/lib/libKF5QuickAddons.so.5
#15 0x0040a29b in ?? ()
#16 0x00408e7a in ?? ()
#17 0x004095a2 in ?? ()
#18 0x004081de in ?? ()
#19 0xb68af7b9 in __libc_start_main () from /usr/lib/libc.so.6
#20 0x004082e5 in _start ()
[Inferior 1 (process 427) detached]
83PackagesBug ReportMediumLowkdeinit5 is filling the systemd journal with nonsensica...New
0%
Task Description
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: ()
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: ()
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: ()
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: ()
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: (QUrl("tags:/"))
Jul 13 20:12:45 arch32-stable-pentium4 kdeinit5[1037]: ()
  225 root      20   0  359832 225172 224128 S  24.5  29.5   0:45.52 systemd-journal 

Upstream too? Or is it fast enough if one core is dedicated to output
nonsensical output.. :->

84PackagesBug ReportMediumLowopenjdk 7 doesn't buildAssigned
0%
Task Description
. /etc/profile.d/apache-ant.sh

is not there anymore.

Required version of freetype: 2.2.1
Detected freetype headers: 2.10.1
Failed: headers are too old.
Detected freetype library: 2.10.1
Failed: too old library.

this one is really funny, some wrong version calculation probabily.

diff -rauN icedtea-2.6.13/configure icedtea-2.6.13-xattr-patch/configure
--- icedtea-2.6.13/configure    2018-02-28 06:32:29.578579918 +0100
+++ icedtea-2.6.13-xattr-patch/configure        2019-08-16 13:33:32.078598083 +0200
@@ -15851,7 +15851,7 @@
 fi
 done
 
-    for ac_header in sys/epoll.h attr/xattr.h
+    for ac_header in sys/epoll.h sys/xattr.h
 do :
   as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
 ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"

xattr.h header file is in sys and now longer in attr. probing fails.

more to come.. :-)

85Packages: StableBug ReportVery LowLow[wireguard-arch] Package not being updated alongside ke...Unconfirmed
0%
Task Description

The last update to this package was August 25, despite several new kernel builds since this. As a result, the package does not work and users must use wireguard-dkms to build the module, even with a vanilla kernel.

Steps to reproduce:
Install the latest version of wireguard-arch along with the latest kernel.

86Packages: StableBug ReportMediumLownewsboat contains SSE2 instuctionsNew
0%
Task Description

shell> newsboat

Program received signal SIGILL, Illegal instruction.
0x005f5cd9 in ?? ()
=> 0x005f5cd9:  f2 0f 10 06     movsd  (%esi),%xmm0
(gdb) bt
#0  0x005f5cd9 in ?? ()
#1  0x005f40fa in ?? ()
#2  0x005f3f3b in ?? ()
#3  0x0072e9fd in ?? ()
#4  0x00661600 in ?? ()
#5  0x00659435 in ?? ()
#6  0x0061fe88 in ?? ()
#7  0x0065770c in ?? ()
#8  0x005ea416 in ?? ()
#9  0x0044ca68 in ?? ()
#10 0xb76f9859 in __libc_start_main () from /usr/lib/libc.so.6
#11 0x0044da75 in ?? ()

This actually looks like glibc got a SSE2 infection on i686.

Showing tasks 1 - 86 of 86 Page 1 of 1

Available keyboard shortcuts

Tasklist

Task Details

Task Editing